/*!
 * d3.compose - Compose complex, data-driven visualizations from reusable charts and components with d3
 * v0.15.15 - https://github.com/CSNW/d3.compose - license: MIT
 */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e(require("d3"),require("d3.chart")):"function"==typeof define&&define.amd?define(["d3","d3.chart"],e):t.d3c=e(t.d3,t.d3_chart)}(this,function(t,e){"use strict";function n(t,e,n,i){var r={layer:"layer",series:"seriesLayer"}[e];if(r&&t[r]){var a={};return["enter","enter:transition","update","update:transition","merge","merge:transition","exit","exit:transition"].forEach(function(e){var n="on"+e.split(":").map(function(t){return t.charAt(0).toUpperCase()+t.slice(1)}).join("");t[n]&&(a[e]=function(){this.chart()[n](this)})}),t[r](n,i,{dataBind:function(t){return this.chart().onDataBind(this,t)},insert:function(){return this.chart().onInsert(this)},events:a})}}function i(t,e,n){for(var i=0,r=e.length;r>i;i++)for(var a in e[i])n&&void 0!==t[a]||(t[a]=e[i][a]);return t}function r(t,e){return t.indexOf(e)>=0}function a(t){return t.filter(function(t){return t})}function o(t,e){return t.filter(function(t){return e.indexOf(t)<0})}function s(t){return i(t,Mt.call(arguments,1),!0)}function c(t){return i(t,Mt.call(arguments,1))}function l(t){return t.reduce(function(t,e){return t.concat(e)},[])}function u(t,e,n){if(t)for(var i=0,r=t.length;r>i;i++)if(e.call(n,t[i],i,t))return t[i]}function h(t,e){return null!=t?null==e?t[0]:Array.prototype.slice.call(t,0,e):void 0}function f(t){return t===!0||t===!1}function d(t){var e=typeof t;return"function"===e||"object"===e&&!!t}function p(t){return"[object Number]"===jt.call(t)}function g(t){return"[object String]"===jt.call(t)}function y(t){return void 0===t}function v(t,e,n){if(t)for(var i=Object.keys(t),r=0,a=i.length;a>r;r++)e.call(n,t[i[r]],i[r],t)}function m(t,e,n){if(t)for(var i=Object.keys(t),r=0,a=i.length;a>r;r++)if(e.call(n,t[i[r]],i[r],t))return t[i[r]]}function x(t,e){return t?t.map(function(t){return t[e]}):[]}function b(t){for(var e=[],n=0,i=t.length;i>n;n++)e.indexOf(t[n])<0&&e.push(t[n]);return e}function w(t,e){t.prototype=Object.create(e.prototype,{constructor:{value:t,enumerable:!1,writeable:!0,configurable:!0}}),Object.setPrototypeOf?Object.setPrototypeOf(t,e):(t.__proto__=e,s(t,e))}function _(t,e){return y(t)?e:t}function S(t,e){"undefined"!=typeof console&&console.warn&&console.warn("DEPRECATED (will be removed in "+e+") - "+t)}function L(t){2==arguments.length&&(S('"name" as the first argument for property is no longer required/supported and will be removed in the next version of d3.compose.',"v0.17.0"),t=arguments[1]),t=t||{};var e="property_"+Yt++,n=function(i){function r(){return i=o[e],y(i)&&(i=n.default_value,Ft(i)&&(i=i.call(s))),Ft(t.get)?t.get.call(s,i):i}function a(){if(Ft(t.validate)&&!y(i)&&!t.validate.call(s,i))throw new Error("Invalid value for property: "+JSON.stringify(i));var n=o[e];if(o[e]=i,Ft(t.set)&&!y(i)){var r=t.set.call(s,i,n);r&&"override"in r&&(o[e]=r.override),r&&Ft(r.after)&&r.after.call(s,o[e])}return this}var o=this.__properties=this.__properties||{},s=_(n.context,this);return arguments.length?a.call(this):r.call(this)};return n.is_property=!0,n.id=e,n.set_from_options=_(t.set_from_options,!0),n.default_value=t.default_value,n.context=t.context,n.options=t,n}function k(t){var e=Mt.call(arguments,1),n=[],i=[],r={};return e.forEach(function(t){v(t,function(t,e){"initialize"==e?n.push(t):"transform"==e?i.push(t):r[e]=t})}),n.length&&(r.initialize=function(){var e=Mt.call(arguments);t.prototype.initialize.apply(this,e),n.forEach(function(t){t.apply(this,e)},this)}),i.length&&(r.transform=function(e){return e=t.prototype.transform.call(this,e),i.reduce(function(t,e){return e.call(this,t)}.bind(this),e)}),t.extend(r)}function z(e){function n(t){return t>0&&e.padding?e.padding:0}return e=c({direction:"vertical",origin:"top",padding:0,min_height:0,min_width:0},e),"horizontal"==e.direction&&"left"!=e.origin&&"right"!=e.origin?e.origin="left":"vertical"==e.direction&&"top"!=e.origin&&"bottom"!=e.origin&&(e.origin="top"),function(i){if(i&&i.attr){var r=0;i.attr("transform",function(i,a){var o,s=this.getBBox(),c=t.max([s.width,e.min_width]),l=t.max([s.height,e.min_height]),u=0,h=0;return"horizontal"==e.direction?(o=r+c+n(a),u="left"==e.origin?r+n(a):o,r=o):(o=r+l+n(a),h="top"==e.origin?r+n(a):o,r=o),M(u,h)})}}}function A(e){if(e=e||{},Ft(e))return e;var n;n="time"==e.type?t.time.scale():t.scale[e.type]?t.scale[e.type]():t.scale.linear(),v(e,function(t,e){n[e]&&("range"==e||"domain"==e?n[e](t):r(["type","data","value","key","centered","adjacent","series","padding"],e)||n[e].apply(n,t))}),!e.domain&&e.data&&(e.key||e.value)&&(n=D(n,e));var i=e.centered||"ordinal"==e.type&&null==e.centered;return"ordinal"==e.type&&(i||e.adjacent)&&(n=B(n,e)),"ordinal"==e.type&&(null!=e.padding||i||e.adjacent)&&(n=E(n,e)),n}function D(t,e){var n=e.value||function(t){return t[e.key]},i=e.data;H(i)||(i=[{values:i}]);var r;if("ordinal"==e.type)r=b(l(i.map(function(t){return t&&t.values?t.values.map(n):void 0})));else{var a=V(i,n);r=[0>a?a:0,Y(i,n)]}return t.domain(r),t}function B(t,e){var n=e.series||(H(e.data)?e.data.length:1),i=function(t,e,n){var i=function(n,r){var a=i.width();return e.adjacent||(r=0),t(n)+.5*a+a*(r||0)};return c(i,t,{width:function(){var t=i.rangeBand&&i.rangeBand(),r=isFinite(t)?t:0;return e.adjacent&&(r/=n),r}}),i}(t,e,n);return i}function E(t,e){var n=null!=e.padding?e.padding:.1,i=t.range;return t.range=function(e){return arguments.length?void t.rangeBands(e,n,n/2):i()},e.range&&t.range(e.range),t}function T(e){var n=I(e);if(n.width&&n.height)return n;var i=C(e);if(O(e))return{width:null!=n.width?n.width:i.width||0,height:null!=n.height?n.height:i.height||0};var r=P(e);return{width:t.max([n.width,i.width||r.width])||0,height:t.max([n.height,i.height||r.height])||0}}function I(t){var e=t.node(),n=e&&e.clientWidth,i=e&&e.clientHeight;if(O(t)&&(!e.clientWidth||!e.clientHeight)&&"undefined"!=typeof window&&window.getComputedStyle){var r=window.getComputedStyle(e);i=parseFloat(r.height)-parseFloat(r.borderTopWidth)-parseFloat(r.borderBottomWidth),n=parseFloat(r.width)-parseFloat(r.borderLeftWidth)-parseFloat(r.borderRightWidth)}return{width:n&&!isNaN(n)?n:null,height:i&&!isNaN(i)?i:null}}function C(t){return{width:t&&t.attr&&parseFloat(t.attr("width")),height:t&&t.attr&&parseFloat(t.attr("height"))}}function P(t){var e,n=t.node();try{e=n&&"function"==typeof n.getBBox&&n.getBBox()}catch(i){e={width:0,height:0}}return e}function O(t){return"svg"==t.node().nodeName}function M(t,e){return d(t)&&(e=t.y,t=t.x),"translate("+(t||0)+", "+(e||0)+")"}function j(t,e){var n="rotate("+(t||0);return e&&(n+=" "+(e.x||0)+","+(e.y||0)),n+=")"}function F(t,e){var n=0;try{var i=t.getBBox().height,r=window.getComputedStyle(t),a=parseFloat(r["font-size"]),o=parseFloat(r["line-height"]);isNaN(o)&&(o=1.15*a);var s=-(o-a)/2,c=0;e&&e>0&&(c=(e-i)/2),n=i+(s||0)+(c||0)}catch(l){}return n}function H(t){var e=h(t);return e&&d(e)&&Array.isArray(e.values)}function Y(e,n){var i=function(e){return e&&t.extent(e,n)[1]};return H(e)?e.reduce(function(t,e){if(e&&Array.isArray(e.values)){var n=i(e.values);return n>t?n:t}return t},-(1/0)):i(e)}function V(e,n){var i=function(e){return e&&t.extent(e,n)[0]};return H(e)?e.reduce(function(t,e){if(e&&Array.isArray(e.values)){var n=i(e.values);return t>n?n:t}return t},1/0):i(e)}function W(t){if(!t)return"";var e=[];return v(t,function(t,n){e.push(n+": "+t)}),t=e.join("; "),t?t+";":""}function R(t,e){return p(t)?{top:t,right:t,bottom:t,left:t}:s({},t,e,{top:0,right:0,bottom:0,left:0})}function X(t){var e=function(e,n,i){return t.call(this,void 0,e,n,i)};return e._is_di=!0,e.original=t,e}function N(t,e){return function(n,i,r){return(t.original||t).call(this,e,n,i,r)}}function K(t){for(var e in t)t[e]&&t[e]._is_di&&(t[e]=N(t[e],t))}function q(e){if(e._parent_data)return e._parent_data;var n=e&&e.parentNode;if(n){var i=t.select(n).data();return i&&i[0]}}function U(t){return function(e,n){return n||(n=e,e=void 0),c({id:e,type:t},n)}}function G(t,e){if(e.validate&&!e.validate(t))throw new Error("Invalid value for property: "+JSON.stringify(t))}function J(t){return Array.isArray(t)||(t=Array.prototype.slice.call(arguments)),function(){var e=this.base,n=this;return t.reduce(function(t,i){return i(e,t,n)},this.props)}}function Z(t){return function(e,n){var i=Q(t,n),r=i.select.call(e);r.exit().call(i.exit),r.call(i.update),r.enter().call(i.enter),r.call(i.merge)}}function Q(t,e){return t=s({},t,{select:function(){return this},enter:function(){},update:function(){},merge:function(){},exit:function(){this.remove()}}),{select:$(t.select,e),enter:$(t.enter,e),update:$(t.update,e),merge:$(t.merge,e),exit:$(t.exit,e)}}function $(t){var e=Array.prototype.slice.call(arguments,1);return function(){var n=Array.prototype.slice.call(arguments);return t.apply(this,e.concat(n))}}function tt(t){return function(){y(t.duration)||this.duration(t.duration),y(t.delay)||this.delay(t.delay),y(t.ease)||this.ease(t.ease)}}function et(t,e){var n=t.select('[data-layer="'+e+'"]');return n.empty()&&(n=t.append("g").attr("data-layer",e)),n}function nt(t,e){e=e||Object.keys(t.properties),e.forEach(function(e){t.prototype[e]||(t.prototype[e]=L({get:function(){return S("The "+e+' property will be removed and replaced by "this.props.'+e+'"'),this.options()[e]},set:function(t){this.options()[e]=t}}))})}function it(t,e){this.base=t,this._layers={},this._attached={},this._events={},K(this),e&&this.options(e),this.initialize(e)}function rt(t,e){return e?(H(e)||(e=[{values:e}]),e.map(function(e,n){return e.values.map(function(i,r){return t.getPoint.call({_parent_data:e},i,r,n)}).sort(function(t,e){return t.meta.x-e.meta.x})})):void 0}function at(t,e,n){function i(t,e){return Math.sqrt(Math.pow(e.x-t.x,2)+Math.pow(e.y-t.y,2))}return t?a(t.map(function(t){function r(t){return t.distance=i(t.meta,e),t}function a(t){return t.distance<n}function o(t,e){return t.distance<e.distance?-1:t.distance>e.distance?1:0}var s=t.map(r).filter(a).sort(o);return s[0]})):[]}function ot(t,e,n){var i=x(t,"key"),a=x(e,"key");v(e,function(t){r(i,t.key)?n.trigger("mousemove:point",t):n.trigger("mouseenter:point",t)}),v(t,function(t){r(a,t.key)||n.trigger("mouseleave:point",t)})}function st(t,e){return c({},e,{margins:R(e.margins,ae)})}function ct(t,e,n){var i=e.data;if(e.charts){var r=n.container.charts();i=e.charts.reduce(function(t,e){var i=u(r,function(t){return t.id==e});if(!i||i.exclude_from_legend||i.options().exclude_from_legend)return t;var a=n.container.demux(e,n.container.data());H(a)||(a=[{values:a}]);var o=a.reduce(function(t,e,r){return e&&!e.exclude_from_legend&&t.push(n.getLegendData(i,e,r)),t},[]);return t.concat(o)},[])}return c({},e,{data:i})}function lt(t,e,n){var i=e.data.map(function(t,i){return c({},t,{"class":n.swatchClass(e,n,t,i)})});return c({},e,{data:i,createSwatch:$(n.createSwatch,e,n)})}function ut(t){return this.selectAll(".chart-legend-group").data(t.data,function(t){return t.key})}function ht(t){var e=this.append("g").attr("class","chart-legend-group").style({"pointer-events":"all"});e.append("g").attr("width",t.swatchDimensions.width).attr("height",t.swatchDimensions.height).attr("class","chart-legend-swatch"),e.append("text").attr("class","chart-legend-label"),e.append("rect").attr("class","chart-legend-hover").style({visibility:"hidden"})}function ft(e){var n=e.swatchDimensions,i=this.select(".chart-legend-swatch");i.attr("class",function(t){return t["class"]}).selectAll("*").remove(),i.each(e.createSwatch),this.select(".chart-legend-label").text(function(t){return t.text}).each(function(){var e=F(this,n.height);t.select(this).attr("transform",M(n.width+5,e))}),this.call(z({direction:e.stackDirection,origin:"top",padding:5,min_height:n.height,min_width:n.width}));var r=[];this.each(function(){r.push(this.getBBox())}),this.select(".chart-legend-hover").each(function(e,n){var i=r[n],a=null;if(i.height>i.height){var o=(i.height-i.height)/2;a=M(0,-o)}t.select(this).attr("width",i.width).attr("height",i.height).attr("transform",a)})}function dt(t,e){var n=e.translation,i=n.x||0,r=n.y||0,a=n.relative_to&&n.relative_to.split("-")[0]||"left",o=n.relative_to&&n.relative_to.split("-")[1]||"top",s=T(t);return"right"===a&&(i=e.width-s.width-i),"bottom"===o&&(r=e.height-s.height-r),M(i,r)}function pt(t,e){var n={left:0,center:e.width/2,right:e.width}[e.textAlign],i={top:0,middle:e.height/2,bottom:e.height}[e.verticalAlign],r=M(n,i),a=j(e.rotation),o=r+" "+a;return c({},e,{transform:o})}function gt(t,e){var n=t.selectAll("text");n.empty()&&(n=t.append("text")),n.attr("transform",e.transform).attr("style",W(e.style)).attr("text-anchor",e.anchor).attr("class",e["class"]).text(e.text)}function yt(t,e,n){return e||(e=t,t=void 0),g(e)&&(e={text:e}),c({id:t},n,e)}function vt(t,e){return yt(t,e,{type:"Text"})}function mt(t,e){return c({},e,{margins:R(e.margins,xt(e.position))})}function xt(t){var e=8,n={top:{top:e,bottom:e},right:{right:e,left:e},bottom:{top:e,bottom:e},left:{right:e,left:e}};return R(n[t])}function bt(t,e){return yt(t,e,{type:"Title"})}function wt(t,e){return c({},e,{margins:R(e.margins,_t(e.position))})}function _t(t){var e=8,n={top:{top:e/2,bottom:e},right:{left:e/2,right:e},bottom:{bottom:e/2,top:e},left:{right:e/2,left:e}};return R(n[t])}function St(t,e){return yt(t,e,{type:"AxisTitle"})}function Lt(t,e){var n="horizontal"==e.orientation?e.scale:e.xScale;n||(n=Nt.getDefaultXScale.call({data:function(){return e.data}})),n=A(n),Nt.setXScaleRange.call({width:function(){return e.width}},n);var i="vertical"==e.orientation?e.scale:e.yScale;return i||(i=Nt.getDefaultYScale.call({data:function(){return e.data}})),i=A(i),Nt.setYScaleRange.call({height:function(){return e.height}},i),c({},e,{xScale:n,yScale:i,scale:"vertical"==e.orientation?i:n})}function kt(t,e,n){var i={scale:e.scale,orient:e.orient,ticks:e.ticks,tickValues:e.tickValues,tickSize:e.tickSize,innerTickSize:e.innerTickSize,outerTickSize:e.outerTickSize,tickPadding:e.tickPadding,tickFormat:e.tickFormat},r=M(e.translation),a={duration:n.duration(),delay:n.delay(),ease:n.ease()};return c({},e,{axis:i,transform:r,transition:a})}function zt(t,e,n){var i=e.gridlines;return i&&(f(i)&&(i={}),i=s({},i,{parent:n,xScale:e.xScale,yScale:e.yScale,ticks:e.ticks,tickValues:e.tickValues,orientation:"horizontal"==e.orientation?"vertical":"horizontal"})),c({},e,{gridlines:i})}function At(t,e){var n=Dt(e.axis);e.transition&&!t.selectAll("*").empty()&&(t=t.transition().call(tt(e.transition))),t.call(n)}function Dt(e){var n=t.svg.axis(),i=["tickValues"];return v(e,function(t,e){y(t)||(Array.isArray(t)&&!r(i,e)?n[e].apply(n,t):n[e](t))}),n}function Bt(e,n){var i={width:[0],height:[0]};return e.selectAll("g").each(function(){try{var t=this.getBBox();"horizontal"==n?i.height.push(t.height):i.width.push(t.width)}catch(e){}}),{width:t.max(i.width),height:t.max(i.height)}}function Et(t){function e(t,e,n){return s({},t,{id:i(e,n)})}function n(t,e){t&&Ft(t.position)?t.position(e):t.position=e}function i(t,e,n){var i="item-"+(t+1)+"-"+(e+1);return null!=n&&(i+="-"+(n+1)),i}function r(t){return function(e){e.data&&!Ft(e.data)&&(a[t][e.id]=e.data,a[e.id]=e.data,delete e.data)}}if(t){var a={_charts:{},_components:{}},o={},c=[],l=[],u=[],h={row:!1,charts:!1};return t.forEach(function(t,r){var a=[];Array.isArray(t)||(t=[t]),t.length>1&&(h.row=!0);var f=t.map(function(c,f){if(c){if(c._layered){h.charts=h.row=!0;var d=[];return c.items.forEach(function(t,e){t&&(t=s({},t,{id:i(r,f,e)}),d.push(t.id),l.push(t),o[t.id]=t)}),d}var p=e(c,r,f);return o[p.id]=p,t.length>1?h.charts?(n(p,"right"),a.push(p)):(n(p,"left"),a.unshift(p)):h.row?(n(p,"bottom"),u.push(p)):(n(p,"top"),u.unshift(p)),p.id}});a.length&&(u=u.concat(a)),c.push(f)}),l.forEach(r("_charts")),u.forEach(r("_components")),{data:a,items:o,layout:c,charts:l,components:u}}}function Tt(t,e,n){var i={top:[],right:[],bottom:[],left:[]};return t.forEach(function(t){if(!t.skip_layout&&t.getLayout){var a=t.getLayout(n(t.id,e)),o=a&&a.position;r(["top","right","bottom","left"],o)&&i[o].push({offset:"top"==o||"bottom"==o?a.height:a.width,component:t})}}),i}function It(t,e,n,i){function r(t,e,n,i){t&&Ft(t.setLayout)&&t.setLayout(e,n,i)}t.top.reduce(function(t,n){var i=t-n.offset;return r(n.component,e.left,i,{width:e.width}),i},e.top),t.right.reduce(function(t,n,i,a){var o=a[i-1]||{offset:0},s=t+o.offset;return r(n.component,s,e.top,{height:e.height}),s},n-e.right),t.bottom.reduce(function(t,n,i,a){var o=a[i-1]||{offset:0},s=t+o.offset;return r(n.component,e.left,s,{width:e.width}),s},i-e.bottom),t.left.reduce(function(t,n){var i=t-n.offset;return r(n.component,i,e.top,{height:e.height}),i},e.left)}function Ct(t){return Array.isArray(t)||(t=Array.prototype.slice.call(arguments)),{_layered:!0,items:t}}function Pt(t,e){return u(t,function(t){return t.id==e})}t="default"in t?t["default"]:t;var Ot={standardLayer:function(t,e){return n(this,"layer",t,e)},standardSeriesLayer:function(t,e){return n(this,"series",t,e)},onDataBind:function(){},onInsert:function(){},onEnter:function(){},onUpdate:function(){},onMerge:function(){},onExit:function(){}},Mt=Array.prototype.slice,jt=Object.prototype.toString,Ft=function(t){return"[object Function]"===jt.call(t)};"function"!=typeof/./&&"object"!=typeof Int8Array&&(Ft=function(t){return"function"==typeof t||!1});var Ht={slice:Mt,toString:jt,contains:r,compact:a,difference:o,defaults:s,extend:c,flatten:l,find:u,first:h,isBoolean:f,isFunction:Ft,isObject:d,isNumber:p,isString:g,isUndefined:y,objectEach:v,objectFind:m,pluck:x,uniq:b,inherits:w,valueOrDefault:_},Yt=0,Vt={string:{},number:{},array:{},object:{},any:{}},Wt={update:function(t,e){this.base=t,this.props=this.prepareProps(e)},prepareProps:function(t){var e=this.constructor&&this.constructor.properties;if(!e)return t;var n=c({},t);return v(e,function(t,e){var i=n[e];y(i)?t.getDefault&&(n[e]=t.getDefault(this.base,n,this)):G(i,t)},this),n},attach:function(t,e,n,i){var r=this.attached[t];r?r.options(i):r=new e(n,i),r.draw(),this.attached[t]=r},detach:function(t){var e=this.attached[t];e&&(e.base.remove(),delete this.attached[t])}},Rt={property:L,dimensions:T,translate:M,rotate:j,alignText:F,isSeriesData:H,max:Y,min:V,createScale:A,style:W,getMargins:R,stack:z,di:X,bindDi:N,bindAllDi:K,getParentData:q,mixin:k,createHelper:U,types:Vt,checkProp:G,createPrepare:J,createDraw:Z,createTransition:tt,getLayer:et},Xt={delay:L({default_value:function(){return this.container&&this.container.delay&&this.container.delay()}}),duration:L({default_value:function(){return this.container&&this.container.delay&&this.container.duration()}}),ease:L({default_value:function(){return this.container&&this.container.delay&&this.container.ease()}}),setupTransition:function(t){var e=this.delay(),n=this.duration(),i=this.ease();y(e)||t.delay(e),y(n)||t.duration(n),y(i)||t.ease(i)}},Nt={initialize:function(){this.on("before:draw",this.setScales.bind(this))},transform:function(t){function e(t,e){return d(t)?!Array.isArray(t)&&y(t.x)&&(t.x=e):t={x:e,y:t},t}return t=t||[],H(t)?t=t.map(function(t){return c({},t,{values:t.values.map(e)})}):Array.isArray(t)&&(t=t.map(e)),t},xScale:L({set:function(t){var e=A(t);return this.setXScaleRange(e),{override:e}},get:function(t){return t||(t=this.getDefaultXScale(),this.setXScaleRange(t)),t}}),yScale:L({set:function(t){var e=A(t);return this.setYScaleRange(e),{override:e}},get:function(t){return t||(t=this.getDefaultYScale(),this.setYScaleRange(t)),t}}),xKey:L({default_value:"x"}),yKey:L({default_value:"y"}),x:X(function(t,e,n){var i=t.xValue.call(this,e,n),r=t.seriesIndex&&t.seriesIndex.call(this,e,n)||0;return parseFloat(t.xScale()(i,r))}),y:X(function(t,e,n){var i=t.yValue.call(this,e,n),r=t.seriesIndex&&t.seriesIndex.call(this,e,n)||0;return parseFloat(t.yScale()(i,r))}),key:X(function(t,e,n){return _(e.key,t.xValue.call(this,e,n))}),x0:function(){return parseFloat(this.xScale()(0))},y0:function(){return parseFloat(this.yScale()(0))},xValue:X(function(t,e){var n=t.xKey();return e?n in e?e[n]:e[0]:void 0}),yValue:X(function(t,e){var n=t.yKey();return e?n in e?e[n]:e[1]:void 0}),setScales:function(){this.setXScaleRange(this.xScale()),this.setYScaleRange(this.yScale())},setXScaleRange:function(t){t.range([0,this.width()])},setYScaleRange:function(t){t.range([this.height(),0])},getDefaultXScale:function(){return A({data:this.data(),key:"x"})},getDefaultYScale:function(){return A({data:this.data(),key:"y"})}},Kt=t.chart();w(it,Kt),c(it.prototype,{initialize:function(){},transform:function(t){return t},demux:function(t,e){return e},draw:function(t){t=this.transform(t),this.data(t),this.trigger("before:draw",t),v(this._layers,function(e){e.draw(t)}),v(this._attached,function(e,n){e.draw(this.demux(n,t))},this),this.trigger("draw",t)},layer:Kt.prototype.layer,unlayer:Kt.prototype.unlayer,attach:Kt.prototype.attach,on:Kt.prototype.on,once:Kt.prototype.once,off:Kt.prototype.off,trigger:Kt.prototype.trigger,data:L(),options:L({default_value:{},set:function(t,e){function n(t,e){return t[e]&&t[e].is_property&&t[e].set_from_options}if(e){var i=o(Object.keys(e),Object.keys(t));i.forEach(function(t){"data"!=t&&"options"!=t&&n(this,t)&&this[t](void 0)},this)}v(t,function(t,e){n(this,e)&&this[e](t)},this)}}),width:function(){return T(this.base).width},height:function(){return T(this.base).height}}),it.extend=function(t,e){var n;g(t)&&(n=t,t=e,e=arguments[2]);var i,r=this;return t&&t.hasOwnProperty("constructor")?(i=t.constructor,t=c({},t),delete t.constructor):i=function(){return r.apply(this,arguments)},w(i,r),e&&c(i,e),t&&c(i.prototype,t),n&&(Kt[n]=i),i};var qt=it.extend({position:L({default_value:"top",validate:function(t){return r(["top","right","bottom","left"],t)}}),width:L({default_value:function(){return T(this.base).width}}),height:L({default_value:function(){return T(this.base).height}}),margins:L({set:function(t){return{override:R(t)}},default_value:R()}),centered:L({default_value:!1}),skip_layout:!1,prepareLayout:function(t){this.draw(t)},getLayout:function(t){this.prepareLayout(t);var e=this.margins();return{position:this.position(),width:this.width()+e.left+e.right,height:this.height()+e.top+e.bottom}},setLayout:function(t,e,n){var i=this.margins();if(this.centered()){var r=T(this.base);e+="height"in n?(n.height-r.height)/2:i.top,t+="width"in n?(n.width-r.width)/2:i.left}else t+=i.left,e+=i.top;this.base.attr("transform",M(t,e)),this.height(n&&n.height),this.width(n&&n.width)}},{properties:{position:{type:Vt.string,validate:function(t){return r(["top","right","bottom","left"],t)}},width:{type:Vt.number,getDefault:function(t,e,n){var i=n.width();return y(i)?T(t).width:i}},height:{type:Vt.number,getDefault:function(t,e,n){var i=n.height();return y(i)?T(t).height:i}}},z_index:50,layer_type:"component"}),Ut={initialize:function(){this.on("attach",function(){this.container.on("mouseenter",this.onMouseEnter.bind(this)),this.container.on("mousemove",this.onMouseMove.bind(this)),this.container.on("mouseleave",this.onMouseLeave.bind(this))}.bind(this))},getPoint:X(function(t,e,n,i){var r=t.key&&t.key.call(this,e,n,i),a=t.seriesData&&t.seriesData.call(this,e,n,i)||{};return{key:(a.key||i)+"."+(r||n),series:a,d:e,meta:{chart:t,i:n,j:i,x:t.x&&t.x.call(this,e,n,i),y:t.y&&t.y.call(this,e,n,i)}}}),mouseEnterPoint:X(function(t,e,n,i){t.container.trigger("mouseenter:point",t.getPoint.call(this,e,n,i))}),mouseLeavePoint:X(function(t,e,n,i){t.container.trigger("mouseleave:point",t.getPoint.call(this,e,n,i))}),onMouseEnter:function(){},onMouseMove:function(){},onMouseLeave:function(){}},Gt={initialize:function(){var t,e,n;this.on("draw",function(){t=null}),this.on("attach",function(){var i=function(i){var r=[];i&&(r=at(t,i.chart,e)),ot(n,r,this.container),n=r}.bind(this);this.container.on("mouseenter",function(n){t||(t=rt(this,this.data())),e=this.hoverTolerance(),i(n)}.bind(this)),this.container.on("mousemove",i),this.container.on("mouseleave",i)}.bind(this))},hoverTolerance:L({default_value:1/0})},Jt={attachLabels:function(){var e=this.labels();e.parent=this;var n=t.chart(e.type),i=this.base.append("g").attr("class","chart-labels"),r=this._labels=new n(i,e);this.proxyLabelMethods.forEach(function(t){r[t]=this[t]},this),this.on("draw",function(t){e=this.labels(),e.parent=this,r.options(e),e.display!==!1?r.draw(e.data||t):r.draw([])}.bind(this))},labels:L({get:function(t){return f(t)?t={display:t}:t||(t={display:!1}),s({},t,{type:"Labels"})}}),proxyLabelMethods:[]},Zt=c({},Jt,{proxyLabelMethods:["x","y"]}),Qt={x:X(function(t,e,n){var i=t.yValue.call(this,e,n),r=t.seriesIndex&&t.seriesIndex.call(this,e,n)||0;return parseFloat(t.yScale()(i,r))}),y:X(function(t,e,n){var i=t.xValue.call(this,e,n),r=t.seriesIndex&&t.seriesIndex.call(this,e,n)||0;return parseFloat(t.xScale()(i,r))}),x0:function(){return parseFloat(this.yScale()(0))},y0:function(){return parseFloat(this.xScale()(0))},setXScaleRange:function(t){t.range([this.height(),0])},setYScaleRange:function(t){t.range([0,this.width()])}},$t={adjacentWidth:function(){var t=this.seriesCount?this.seriesCount():1;return this.layeredWidth()/t},layeredWidth:function(){var t=this.xScale()&&this.xScale().rangeBand&&this.xScale().rangeBand(),e=isFinite(t)?t:0;return e},itemWidth:function(){var t=this.xScale();return t&&t.width?t.width():this.layeredWidth()},getDefaultXScale:function(){return A({type:"ordinal",data:this.data(),key:"x",centered:!0})}},te={seriesKey:X(function(t,e){return e.key}),seriesValues:X(function(t,e,n){return e.seriesIndex=n,e.values}),seriesClass:X(function(t,e,n){return"chart-series chart-index-"+n+(e["class"]?" "+e["class"]:"")}),seriesIndex:X(function(t,e,n){var i=t.seriesData.call(this,e,n);return i&&i.seriesIndex||0}),seriesData:X(function(){return q(this)}),itemStyle:X(function(t,e){return W(e.style)||null}),seriesCount:function(){var t=this.data();return t&&H(t)?t.length:1},seriesLayer:function(e,n,i){if(i&&i.dataBind){var r=i.dataBind;i.dataBind=function(t){var e=this.chart(),n=this.selectAll("g").data(t,e.seriesKey);return n.enter().append("g"),n.attr("class",e.seriesClass).attr("style",e.itemStyle),n.exit().remove(),n.chart=function(){return e},r.call(n,e.seriesValues)}}return t.chart().prototype.layer.call(this,e,n,i)},transform:function(t){return H(t)?t:[{values:t}]}},ee={Series:te,XY:Nt,XYValues:$t,XYInverted:Qt,Labels:Jt,LabelsXY:Zt,Hover:Ut,HoverPoints:Gt,Transition:Xt,StandardLayer:Ot},ne=k(qt,Nt,Xt,Ot),ie=ne.extend({initialize:function(t){ne.prototype.initialize.call(this,t);var e=this.options().parent;e&&(this.parent=e,e.container?(this.container=e.container,this.trigger("attach")):e.on("attach",function(){this.container=e.container,this.trigger("attach")}.bind(this))),this.standardLayer("Gridlines",this.base.append("g").attr("class","chart-gridlines"))},orientation:L({default_value:"horizontal",validate:function(t){return r(["horizontal","vertical"],t)},set:function(){this.scale()&&this.scale(this.scale())}}),scale:L({set:function(t){return"vertical"==this.orientation()?(this.xScale(t),t=this.xScale()):(this.yScale(t),t=this.yScale()),{override:t}}}),ticks:L({default_value:[10]}),tickValues:L(),drawLine:X(function(e,n){var i,r,a,o;"vertical"==e.orientation()?(i=r=e.xScale()(n),a=0,o=e.height()):(i=0,r=e.width(),a=o=e.yScale()(n)),t.select(this).attr("x1",i).attr("x2",r).attr("y1",a).attr("y2",o)}),width:function(){return this.container?this.container.chartPosition().width:T(this.base).width},height:function(){return this.container?this.container.chartPosition().height:T(this.base).width},onDataBind:function(t,e){var n=e&&e[0]&&e[0].y===!1,i=this.tickValues();if(null==i&&!n){var r="vertical"==this.orientation()?this.xScale():this.yScale(),a=this.ticks();a||(a=[10]),Array.isArray(a)||(a=[a]),i=r.ticks?r.ticks.apply(r,a):r.domain()}return t.selectAll("line").data(n?[]:i)},onInsert:function(t){return t.append("line").attr("class","chart-gridline")},onMerge:function(t){t.attr("opacity",0).each(this.drawLine)},onMergeTransition:function(t){t.attr("opacity",1)},onExit:function(t){t.remove()},skip_layout:!0},{layer_type:"chart",z_index:55}),re=U("Gridlines"),ae={top:8,right:8,bottom:8,left:8},oe=Z({select:ut,enter:ht,merge:ft}),se=k(qt,Wt),ce=se.extend({prepare:J(st,ct,lt),render:function(){this.update(this.base,this.options());var t=et(this.base,"legend").classed("chart-legend",!0),e=this.prepare();oe(t,e)},swatchClass:function(t,e,n){return a(["chart-legend-swatch",n["class"]]).join(" ")},createSwatch:function(e,n,i,r){var a=n.constructor.swatches;if(a){var o=i&&i.type&&a[i.type]||a["default"];if(o){var s=t.select(this);o.call(s,n,i,r)}}},getLegendData:function(t,e,n){return{text:e.name||"Series "+(n+1),key:t.id+"."+(e.key||n),type:t.type,"class":a(["chart-series","chart-index-"+n,t.options()["class"],e["class"]]).join(" ")}},initialize:function(){se.prototype.initialize.apply(this,arguments),this.attached={}},draw:function(){this.render()},swatchDimensions:function(){return this.props.swatchDimensions}},{properties:c({},qt.properties,{charts:{type:Vt.array},swatchDimensions:{type:Vt.object,getDefault:function(){return{width:20,height:20}}},margins:{type:Vt.any,getDefault:function(){return ae}},stackDirection:{type:Vt.string,validate:function(t){return r(["vertical","horizontal"],t)},getDefault:function(t,e){var n={top:"horizontal",right:"vertical",bottom:"horizontal",left:"vertical"};return n[e.position]}}}),z_index:200,swatches:{"default":function(e){var n=e.swatchDimensions();this.append("circle").attr("cx",n.width/2).attr("cy",n.height/2).attr("r",t.min([n.width,n.height])/2).attr("class","chart-swatch")}},registerSwatch:function(t,e){Array.isArray(t)||(t=[t]),t.forEach(function(t){this.swatches[t]=e},this)}});nt(ce),ce.registerSwatch(["Lines"],function(t){var e=t.swatchDimensions();return this.append("line").attr("x1",0).attr("y1",e.height/2).attr("x2",e.width).attr("y2",e.height/2).attr("class","chart-line")}),ce.registerSwatch(["Bars","StackedBars","HorizontalBars","HorizontalStackedBars"],function(t){var e=t.swatchDimensions();return this.append("rect").attr("x",0).attr("y",0).attr("width",e.width).attr("height",e.height).attr("class","chart-bar")});var le=U("Legend"),ue=ce.extend({render:function(){ce.prototype.render.call(this);var t=et(this.base,"legend"),e=dt(t,this.props);t.attr("transform",e)},skip_layout:!0},{properties:c({},ce.properties,{translation:{type:Vt.object,getDefault:function(){return{x:10,y:0,relative_to:"left-top"}}}}),layer_type:"chart"});nt(ue);var he=U("InsetLegend"),fe=k(qt,Wt),de=fe.extend({prepare:J(pt),render:function(){this.update(this.base,this.options());var t=et(this.base,"text").classed("chart-text",!0),e=this.prepare();gt(t,e)},initialize:function(){fe.prototype.initialize.apply(this,arguments),this.attached={}},draw:function(){this.render()}},{properties:c({},qt.properties,{text:Vt.string,rotation:{type:Vt.number,getDefault:function(){return 0}},textAlign:{type:Vt.string,validate:function(t){return r(["left","center","right"],t)},getDefault:function(){return"center"}},anchor:{type:Vt.string,validate:function(t){return r(["start","middle","end","inherit"],t)},getDefault:function(t,e){return{left:"start",center:"middle",right:"end"}[e.textAlign]}},verticalAlign:{type:Vt.string,validate:function(t){return r(["top","middle","bottom"],t)},getDefault:function(){return"middle"}},style:{type:Vt.object,getDefault:function(){return{}}}}),z_index:70});nt(de);var pe=de.extend({prepare:J(mt,pt),render:function(){de.prototype.render.call(this),et(this.base,"text").classed("chart-title",!0)},margins:function(){return this.props.margins}},{properties:c({},de.properties,{margins:{type:Vt.any,getDefault:function(t,e){return xt(e.position)}},rotation:c({},de.properties.rotation,{getDefault:function(t,e){var n={right:90,left:-90};return n[e.position]||0}})})});nt(pe);var ge=pe.extend({prepare:J(wt,pt),setLayout:function(t,e,n){pe.prototype.setLayout.call(this,t,e,n)},render:function(){pe.prototype.render.call(this),et(this.base,"text").classed("chart-title",!1).classed("chart-axis-title",!0)}},{properties:c({},pe.properties,{margins:c({},pe.properties.margins,{
getDefault:function(t,e){return _t(e.position)}})})});nt(ge);var ye=k(qt,Xt,Wt),ve=ye.extend({prepare:J(Lt,kt,zt),render:function(){this.update(this.base,this.options());var t=this.prepare(),e=et(this.base,"axis").attr("class","chart-axis").attr("transform",t.transform);if(t.gridlines){var n=et(this.base,"gridlines").attr("class","chart-axis-gridlines");this.attach("gridlines",ie,n,t.gridlines)}else this.detach("gridlines");At(e,{axis:t.axis,transition:t.transition})},getLayout:function(){this.update(this.base,this.options());var t={axis:this.prepare().axis},e=et(this.base,"layout").attr("class","chart-axis chart-layout").style({display:"none"});At(e,t),e.style({display:"block"});var n=Bt(e,this.props.orientation);return e.style({display:"none"}),{position:this.props.position,width:n.width,height:n.height}},setLayout:function(){},initialize:function(){ye.prototype.initialize.apply(this,arguments),this.attached={}},draw:function(){this.render()}},{properties:c({},qt.properties,{scale:Vt.any,xScale:Vt.any,yScale:Vt.any,translation:{type:Vt.object,getDefault:function(t,e){return{top:{x:0,y:0},right:{x:e.width,y:0},bottom:{x:0,y:e.height},left:{x:0,y:0}}[e.position]}},orient:{type:Vt.string,getDefault:function(t,e){return e.position}},orientation:{type:Vt.string,validate:function(t){return r(["horizontal","vertical"],t)},getDefault:function(t,e){return{top:"horizontal",right:"vertical",bottom:"horizontal",left:"vertical",x0:"vertical",y0:"horizontal"}[e.position]}},gridlines:Vt.any,ticks:Vt.any,tickValues:Vt.any,tickSize:Vt.any,innerTickSize:Vt.any,outerTickSize:Vt.any,tickPadding:Vt.any,tickFormat:Vt.any}),layer_type:"chart",z_index:60});nt(ve);var me=U("Axis"),xe=it.extend({},{z_index:100,layer_type:"chart"}),be=k(xe,te,Nt,Ut,Xt,Ot),we=be.extend({initialize:function(t){be.prototype.initialize.call(this,t);var e=this.options().parent;e&&(this.parent=e,e.on("attach",function(){this.container=e.container,this.trigger("attach")}.bind(this))),this.standardSeriesLayer("Labels",this.base)},transform:function(t){return t=be.prototype.transform.call(this,t),H(t)||(t=[{key:"labels",name:"Labels",values:t}]),t},format:L({set:function(e){return g(e)?{override:t.format(e)}:void 0}}),position:L({default_value:"top|bottom",get:function(t){if(g(t)&&t.indexOf("|")>=0){var e=this,n=t.split("|");return function(t,i,r){var a=e.yValue.call(this,t,i,r);return a>=0?n[0]:n[1]}}return t}}),offset:L({default_value:0}),padding:L({default_value:1}),anchor:L({validate:function(t){return r(["start","middle","end"],t)}}),alignment:L({validate:function(t){return r(["top","middle","bottom"],t)}}),labelText:X(function(t,e,n){var i=_(e.label,_(e.__original_y,t.yValue.call(this,e,n))),r=t.format();return r?r(i):i}),labelClass:X(function(t,e){return"chart-label"+(e["class"]?" "+e["class"]:"")}),onDataBind:function(t,e){return t.selectAll("g").data(e,this.key)},onInsert:function(t){return t.append("g").call(this.insertLabels)},onMerge:function(t){t.attr("class",this.labelClass),this.mergeLabels(t),this.layoutLabels(t)},onMergeTransition:function(t){this.setupTransition(t),this.transitionLabels(t)},insertLabels:function(t){t.append("rect").attr("class","chart-label-bg"),t.append("text").attr("class","chart-label-text")},mergeLabels:function(t){t.selectAll("text").text(this.labelText)},layoutLabels:function(t){function e(t,e,n,i){var r,s=c({},o);if(r=Ft(a)?a.call(t,e,n,i):a,p(s.offset)){var l={top:{x:0,y:-s.offset},right:{x:s.offset,y:0},bottom:{x:0,y:s.offset},left:{x:-s.offset,y:0}}[r];l||(l={x:0,y:0}),s.offset=l}return y(s.anchor)&&(s.anchor={top:"middle",right:"start",bottom:"middle",left:"end"}[r]),y(s.alignment)&&(s.alignment={top:"bottom",right:"middle",bottom:"top",left:"middle"}[r]),s}var n,i=this,r=[],a=i.position(),o={offset:i.offset(),padding:i.padding(),anchor:i.anchor(),alignment:i.alignment()};g(a)&&(n=e()),t.each(function(t,a,o){r[o]||(r[o]=[]);var s=i._prepareLabel(i,this,t,a,o);r[o].push(s);var c=n||e.call(i,this,t,a,o);i._calculateLayout(i,c,s)}),this._handleCollisions(i,r),r.forEach(function(t){t.forEach(function(t){this._setLayout(i,t)},this)},this)},transitionLabels:function(t){t.attr("opacity",1)},_prepareLabel:function(e,n,i,r){var a=t.select(n),o=a.select("text"),s=a.select("rect");return{x:e.x.call(n,i,r),y:e.y.call(n,i,r),element:n,selection:a,text:{element:o.node(),selection:o},bg:{element:s.node(),selection:s}}},_calculateLayout:function(t,e,n){var i=n.text.element.getBBox(),r=F(n.text.element),a=n.bg.layout={x:e.offset.x,y:e.offset.y,width:i.width+2*e.padding,height:i.height+2*e.padding};n.width=a.width,n.height=a.height,"end"==e.anchor?n.x-=a.width:"middle"==e.anchor&&(n.x-=a.width/2),"bottom"==e.alignment?n.y-=a.height:"middle"==e.alignment&&(n.y-=a.height/2),n.text.layout={x:a.x+a.width/2-i.width/2,y:a.y+a.height/2-i.height/2+r}},_handleCollisions:function(t,e){function n(t,e){function n(t){return{left:t.x,right:t.x+t.width,top:t.y,bottom:t.y+t.height}}var i=n(t),r=n(e),a=r.left<i.left&&r.right>i.right,o=r.bottom<i.bottom&&r.top>i.top,s=r.left>=i.left&&r.left<i.right||r.right>i.left&&r.right<=i.right||a,c=r.top>=i.top&&r.top<i.bottom||r.bottom>i.top&&r.bottom<=i.bottom||o;return s&&c}function i(t,e){if(t.group&&e.group)v(e.group.labels,function(e){t.group.labels.push(e),e.group=t.group}),a(t.group);else if(t.group)r(e,t.group);else if(e.group)r(t,e.group);else{var n={labels:[]};r(t,n),r(e,n)}}function r(t,e){e.labels.push(t),t.group=e,t.originalY=t.y,a(e)}function a(t){function e(t){return t.y=t.originalY,t}function i(t,e){return t.y<e.y?-1:t.y>e.y?1:0}var r=t.labels.map(e).sort(i).reverse();r.forEach(function(t,e){for(var i,a=h(r,e),o=a.length-1;o>=0;o--)if(n(t,a[o])){i=a[o];break}i&&(t.y=i.y-t.height)})}e.forEach(function(t,r){e.slice(r+1).forEach(function(e){e.forEach(function(e){t.forEach(function(t){n(t,e)&&i(t,e)})})})})},_setLayout:function(t,e){e.bg.selection.attr("transform",M(e.bg.layout.x,e.bg.layout.y)).attr("width",e.bg.layout.width).attr("height",e.bg.layout.height),e.text.selection.attr("transform",M(e.text.layout.x,e.text.layout.y)),e.selection.attr("transform",M(e.x,e.y)).attr("opacity",0)}},{z_index:150}),_e=U("Labels"),Se=k(we,Ut),Le=Se.extend({initialize:function(t){Se.prototype.initialize.call(this,t),this.on("attach",function(){this.container.on("mouseenter:point",this.onMouseEnterPoint.bind(this)),this.container.on("mouseleave:point",this.onMouseLeavePoint.bind(this))}.bind(this))},hoverTolerance:L({set:function(t){this.parent&&this.parent.hoverTolerance&&this.parent.hoverTolerance(t)},default_value:1/0}),transitionLabels:function(){},onMouseEnterPoint:function(e){var n=this.findLabelForPoint(e);n&&t.select(n).attr("opacity",1)},onMouseLeavePoint:function(e){var n=this.findLabelForPoint(e);n&&t.select(n).attr("opacity",0)},findLabelForPoint:function(t){var e,n=this.base.selectAll("g.chart-series").selectAll("g"),i=this;return n.each(function(n,r,a){var o=i.seriesData.call(this,n,r,a);n===t.d&&o===t.series&&(e=this)}),e}}),ke=U("HoverLabels"),ze=k(xe,te,Nt,$t,Zt,Ut,Xt,Ot),Ae=ze.extend({initialize:function(t){ze.prototype.initialize.call(this,t),this.on("before:draw",function(){this.offset_axis=this.getOffsetAxis()}.bind(this)),this.standardSeriesLayer("Bars",this.base.append("g").classed("chart-bars",!0)),this.attachLabels()},barHeight:X(function(t,e,n){var i=Math.abs(t.y0()-t.y.call(this,e,n))-t.barOffset();return i>0?i:0}),barWidth:X(function(t){return t.itemWidth()}),barX:X(function(t,e,n){return t.x.call(this,e,n)-t.itemWidth()/2}),barY:X(function(t,e,n){var i=t.y.call(this,e,n),r=t.y0();return r>i?i:r+t.barOffset()}),bar0:X(function(t,e,n){var i=t.y0(),r=t.barOffset();return t.y.call(this,e,n)<=i?i-r:i+r}),barClass:X(function(t,e){return"chart-bar"+(e["class"]?" "+e["class"]:"")}),barOffset:function(){if(this.offset_axis){var t=parseInt(this.offset_axis.base.select(".domain").style("stroke-width"))||0;return t/2}return 0},getOffsetAxis:function(){var t=this.container&&this.container.components();return m(t,function(t){return"Axis"==t.type&&"bottom"==t.position()?t:void 0})},onDataBind:function(t,e){return t.selectAll("rect").data(e,this.key)},onInsert:function(t){return t.append("rect").on("mouseenter",this.mouseEnterPoint).on("mouseleave",this.mouseLeavePoint)},onEnter:function(t){t.attr("y",this.bar0).attr("height",0)},onMerge:function(t){t.attr("class",this.barClass).attr("style",this.itemStyle).attr("x",this.barX).attr("width",this.barWidth)},onMergeTransition:function(t){this.setupTransition(t),t.attr("y",this.barY).attr("height",this.barHeight)},onExitTransition:function(t){this.setupTransition(t),t.attr("y",this.bar0).attr("height",0).remove()}}),De=U("Bars"),Be=k(Ae,Qt).extend({barX:X(function(t,e,n){var i=t.x.call(this,e,n),r=t.x0();return r>i?i:r+t.barOffset()}),barY:X(function(t,e,n){return t.y.call(this,e,n)-t.itemWidth()/2}),barWidth:X(function(t,e,n){var i=Math.abs(t.x0()-t.x.call(this,e,n))-t.barOffset();return i>0?i:0}),barHeight:X(function(t){return t.itemWidth()}),bar0:X(function(t,e,n){var i=t.x0(),r=t.barOffset();return t.x.call(this,e,n)>=i?i+r:i-r}),getOffsetAxis:function(){var t=this.container&&this.container.components();return m(t,function(t){return"Axis"==t.type&&"left"==t.position()?t:void 0})},onEnter:function(t){t.attr("x",this.bar0).attr("width",0)},onMerge:function(t){t.attr("class",this.barClass).attr("style",this.itemStyle).attr("y",this.barY).attr("height",this.barHeight)},onMergeTransition:function(t){this.setupTransition(t),t.attr("x",this.barX).attr("width",this.barWidth)},onExitTransition:function(t){this.setupTransition(t),t.attr("x",this.bar0).attr("width",0).remove()}}),Ee=U("HorizontalBars"),Te=Ae.extend({transform:function(t){t=Ae.prototype.transform.call(this,t);var e={},n=this.xKey(),i=this.yKey();return t=t.map(function(t){return t=c({},t),t.values=t.values.map(function(t){t=c({},t);var r=t[n],a=t.__original_y=t[i];return e[r]||(e[r]={pos:0,neg:0}),a>=0?(t.__previous=e[r].pos,e[r].pos=t[i]=e[r].pos+a):(t.__previous=e[r].neg,e[r].neg=t[i]=e[r].neg+a),t},this),t},this)},barHeight:X(function(t,e,n){var i=Math.abs(t.yScale()(e.__previous)-t.y.call(this,e,n)),r=0===t.seriesIndex.call(this,e,n)?t.barOffset():0;return i-=r,i>0?i:0})}),Ie=U("StackedBars"),Ce=Be.extend({transform:function(t){return t=Te.prototype.transform.call(this,t),t=Be.prototype.transform.call(this,t)},barWidth:X(function(t,e,n){var i=Math.abs(t.yScale()(e.__previous)-t.x.call(this,e,n)),r=0===t.seriesIndex.call(this,e,n)?t.barOffset():0;return i>0?i-r:0}),barX:X(function(t,e,n){var i=t.x.call(this,e,n),r=t.yScale()(e.__previous);return r>i?i:r+t.barOffset()})}),Pe=U("HorizontalStackedBars"),Oe=k(xe,te,Nt,Zt,Ut,Gt,Xt,Ot),Me=Oe.extend({initialize:function(t){Oe.prototype.initialize.call(this,t),this.lines={},this.standardSeriesLayer("Lines",this.base.append("g").classed("chart-lines",!0)),this.attachLabels()},interpolate:L({default_value:"monotone"}),createLine:X(function(e,n,i,r){var a=e.lineKey.call(this,n,i,r),o=e.lines[a]=t.svg.line().x(e.x).y(e.y),s=n.interpolate||e.interpolate();s&&o.interpolate(s)}),lineKey:X(function(t,e,n,i){var r=t.seriesKey(t.seriesData.call(this,e,n,i));return null!=r?r:t.seriesIndex.call(this,e,n,i)}),lineData:X(function(t,e,n,i){var r=t.lineKey.call(this,e,n,i);return t.lines[r]?t.lines[r](e):void 0}),onDataBind:function(t,e){return t.selectAll("path").data(function(n,i,r){return[e.call(t,n,i,r)]})},onInsert:function(t){return t.append("path").classed("chart-line",!0).each(this.createLine)},onMergeTransition:function(t){this.setupTransition(t),t.attr("d",this.lineData).attr("style",this.itemStyle)}}),je=U("Lines"),Fe=qt.extend({initialize:function(t){qt.prototype.initialize.call(this,t),this.base.attr("style",this.style())},skip_layout:!0,x:L({default_value:0}),y:L({default_value:0}),hidden:L({default_value:!0}),style:L({default_value:function(){var t=M(this.x()+"px",this.y()+"px"),e={position:"absolute",top:0,left:0,"-webkit-transform":t,"-ms-transform":t,transform:t};return this.hidden()&&(e.display="none"),W(e)}}),position:function(t,e){if(arguments.length>1)t={x:t,y:e};else if("container"in t)t=this.getAbsolutePosition(t.container);else if("chart"in t)if(this.container){var n=this.container.chartPosition();t=this.getAbsolutePosition({x:t.chart.x+n.left,y:t.chart.y+n.top})}else t=this.getAbsolutePosition(t.chart);this.x(t.x).y(t.y),this.base.attr("style",this.style())},show:function(){this.hidden(!1),this.base.attr("style",this.style())},hide:function(){this.hidden(!0),this.base.attr("style",this.style())},getAbsolutePosition:function(t){var e=this.container&&this.container.container;if(e&&this.container.responsive()){var n=T(e),i=this.container.width(),r=this.container.height(),a=n.width/i,o=n.height/r;return{x:a*t.x,y:o*t.y}}return t}},{layer_type:"overlay"}),He={top:10,right:10,bottom:10,left:10},Ye=it.extend({initialize:function(t){it.prototype.initialize.call(this,t),"svg"!=this.base.node().tagName?(this.container=this.base.append("div").attr("class","chart-compose-container"),this.base=this.container.append("svg").attr("xlmns","http://www.w3.org/2000/svg").attr("version","1.1").attr("class","chart-compose")):this.base.classed("chart-compose",!0),this.attachHoverListeners()},transform:function(t){return this.rawData(t),it.prototype.transform.call(this,t)},options:L({default_value:function(){return function(){}},set:function(t){return Ft(t)?void 0:{override:function(){return t}}}}),rawData:L(),margins:L({default_value:He,set:function(t){return{override:R(t,He)}}}),chartPosition:L({default_value:{top:0,right:0,bottom:0,left:0},set:function(t){return{override:s({},t,{top:0,right:0,bottom:0,left:0})}},get:function(t){return t.width=this._width()-t.right-t.left,t.height=this._height()-t.bottom-t.top,t}}),width:L({default_value:null}),height:L({default_value:null}),_width:function(){var t=this.width();return null!=t?t:it.prototype.width.call(this)},_height:function(){var t=this.height();return null!=t?t:it.prototype.height.call(this)},responsive:L({default_value:!0}),viewBox:L({default_value:function(){return this.responsive()&&this.width()&&this.height()?"0 0 "+this.width()+" "+this.height():null}}),preserveAspectRatio:L({default_value:function(){return this.responsive()?"xMidYMid meet":null}}),containerStyle:L({default_value:function(){if(this.responsive()){var t=1;return this.width()&&this.height()&&(t=this.height()/this.width()),W({width:"100%",height:0,"padding-top":100*t+"%",position:"relative"})}return W({position:"relative"})}}),baseStyle:L({default_value:function(){return this.responsive()&&this.container?W({position:"absolute",top:0,left:0}):null}}),charts:L({set:function(t,e){return{override:this._attachItems(t,e,this)}},default_value:[]}),components:L({set:function(t,e){return{override:this._attachItems(t,e,this)}},default_value:[]}),delay:L(),duration:L(),ease:L(),draw:function(e){var n=this._prepareConfig(this.options(),e);n||(n={data:{_charts:{},_components:{}},layout:[],charts:[],components:[]}),this.charts(n.charts),this.components(n.components),e={original:e,config:n.data},this.data(e),this._setDimensions(),this.layout(n.layout,e),t.chart().prototype.draw.call(this,e)},redraw:function(){this.rawData()&&this.draw(this.rawData().original)},demux:function(t,e){return e&&e.config&&e.original?Pt(this.charts(),t)&&e.config._charts[t]?e.config._charts[t]:Pt(this.components(),t)&&e.config._components[t]?e.config._components[t]:e.original:e},createChartLayer:function(t){return this.base.append("g").attr("class","chart-layer").attr("data-zIndex",t&&t.z_index)},createComponentLayer:function(t){return this.base.append("g").attr("class","chart-component-layer").attr("data-zIndex",t&&t.z_index)},createOverlayLayer:function(){if(!this.container)throw new Error("Cannot create overlay layer if original selection \"d3.select(...).chart('Compose')\" is an svg. Use a div instead for responsive and overlay support.");return this.container.append("div").attr("class","chart-overlay-layer")},layout:function(t,e){this._positionChartLayers(),t=this._extractLayout(e);var n=c({},this.margins());v(t,function(t,e){t.forEach(function(t){n[e]+=t.offset||0})}),this.chartPosition(n),this.positionLayers(t)},attachHoverListeners:function(){function e(){var e=t.mouse(document.documentElement);return e[0]>=l.left&&e[0]<=l.right&&e[1]>=l.top&&e[1]<=l.bottom}function n(){h("mouseenter",a(t.mouse(p)))}function i(){h("mousemove",a(t.mouse(p)))}function r(){h("mouseleave")}function a(t){var e=t[0],n=t[1],i=e-s.left,r=n-s.top;return e>s.left+s.width?i=s.width:e<s.left&&(i=0),n>s.top+s.height?r=s.height:n<s.top&&(r=0),{container:{x:e,y:n},chart:{x:i,y:r}}}function o(){var t="scrollY"in window?window.scrollY:document.documentElement.scrollTop;return l=c({},p.getBoundingClientRect()),l.top+=t,l.bottom+=t,l}var s,l,u,h=this.trigger.bind(this),f=this.chartPosition.bind(this),d=this.container||this.base,p=this.base.node();d.on("mouseenter",function(){s=f(),l=o(),u=e(l),u&&n()}),d.on("mousemove",function(){s&&l||(s=f(),l=o());var t=e(l);u&&t?i():u?r():t&&n(),u=t}),d.on("mouseleave",function(){u&&(u=!1,r())})},attach:function(t,e){e.id=t,e.base.attr("data-id",t),e.container=this,it.prototype.attach.call(this,t,e),e&&Ft(e.trigger)&&e.trigger("attach")},detach:function(t,e){e.base.remove(),delete this._attached[t],e&&Ft(e.trigger)&&e.trigger("detach")},positionLayers:function(t){this._positionChartLayers(),this._positionComponents(t),this._positionByZIndex()},_setDimensions:function(){this.container&&this.container.attr("style",this.containerStyle()),this.base.attr("viewBox",this.viewBox()).attr("preserveAspectRatio",this.preserveAspectRatio()).attr("style",this.baseStyle()).attr("width",this.responsive()?null:this.width()).attr("height",this.responsive()?null:this.height())},_attachItems:function(e,n,i){e=e||[],n=n||[];var r=o(x(n,"id"),x(e,"id"));return r.forEach(function(t){i.detach(t,Pt(n,t))}),e.map(function(e){var r=e.id,a=Pt(n,r);if(e instanceof t.chart())return a&&i.detach(r,a),i.attach(r,e),e;var o=a&&!(a instanceof Fe)&&a.position&&e.position&&a.position()!=e.position;if(a&&(a.type!=e.type||o)&&(i.detach(r,a),a=void 0),a)a.options(e);else{var s=t.chart(e.type);if(!s)throw new Error("No registered d3.chart found for "+e.type);var c={z_index:s.z_index||0},l={chart:"createChartLayer",component:"createComponentLayer",overlay:"createOverlayLayer"}[s.layer_type];if(!l)throw new Error('Unrecognized layer type "'+s.layer_type+'" for '+e.type);var u=i[l](c);a=new s(u,e),a.type=e.type,i.attach(r,a)}return a})},_prepareConfig:function(t,e){return Et(t(e))},_positionChartLayers:function(){var t=this.chartPosition();this.base.selectAll(".chart-layer").attr("transform",M(t.left,t.top)).attr("width",t.width).attr("height",t.height)},_positionComponents:function(t){var e=this.chartPosition(),n=this._width(),i=this._height();It(t,e,n,i)},_positionByZIndex:function(){function e(e){return{layer:e,zIndex:parseInt(t.select(e).attr("data-zIndex"))||0}}function n(t,e){return t.zIndex<e.zIndex?-1:t.zIndex>e.zIndex?1:0}function i(t){return t.layer}var r=this.base.selectAll(".chart-layer, .chart-component-layer")[0];r=r.map(e).sort(n).map(i),r.forEach(function(t){t&&t.parentNode&&t.parentNode.appendChild&&t.parentNode.appendChild(t)})},_extractLayout:function(t){return Tt(this.components(),t,this.demux.bind(this))}});Ht.extend(t.chart(),{Base:it,Chart:xe,Component:qt,Overlay:Fe,Compose:Ye,Lines:Me,Bars:Ae,StackedBars:Te,HorizontalBars:Be,HorizontalStackedBars:Ce,Labels:we,HoverLabels:Le,Text:de,Title:pe,Axis:ve,AxisTitle:ge,Legend:ce,InsetLegend:ue,Gridlines:ie});var Ve=t.compose={VERSION:"0.15.15",utils:Ht,helpers:Rt,Base:it,Chart:xe,Component:qt,Overlay:Fe,Compose:Ye,layered:Ct,mixins:ee,Lines:Me,lines:je,Bars:Ae,bars:De,StackedBars:Te,stackedBars:Ie,HorizontalBars:Be,horizontalBars:Ee,HorizontalStackedBars:Ce,horizontalStackedBars:Pe,Labels:we,labels:_e,HoverLabels:Le,hoverLabels:ke,Text:de,text:vt,Title:pe,title:bt,Axis:ve,axis:me,AxisTitle:ge,axisTitle:St,Legend:ce,legend:le,InsetLegend:ue,insetLegend:he,Gridlines:ie,gridlines:re};return Ve});
//# sourceMappingURL=d3.compose-all.min.js.map
