/*!
 * d3.compose - Compose complex, data-driven visualizations from reusable charts and components with d3
 * v0.15.15 - https://github.com/CSNW/d3.compose - license: MIT
 */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e(require("d3"),require("d3.chart")):"function"==typeof define&&define.amd?define(["d3","d3.chart"],e):t.d3c=e(t.d3,t.d3_chart)}(this,function(t,e){"use strict";function n(t,e,n){for(var i=0,r=e.length;r>i;i++)for(var a in e[i])n&&void 0!==t[a]||(t[a]=e[i][a]);return t}function i(t,e){return t.indexOf(e)>=0}function r(t){return t.filter(function(t){return t})}function a(t,e){return t.filter(function(t){return e.indexOf(t)<0})}function o(t){return n(t,lt.call(arguments,1),!0)}function s(t){return n(t,lt.call(arguments,1))}function u(t){return t.reduce(function(t,e){return t.concat(e)},[])}function c(t,e,n){if(t)for(var i=0,r=t.length;r>i;i++)if(e.call(n,t[i],i,t))return t[i]}function h(t,e){return null!=t?null==e?t[0]:Array.prototype.slice.call(t,0,e):void 0}function l(t){return t===!0||t===!1}function f(t){var e=typeof t;return"function"===e||"object"===e&&!!t}function d(t){return"[object Number]"===ft.call(t)}function p(t){return"[object String]"===ft.call(t)}function y(t){return void 0===t}function v(t,e,n){if(t)for(var i=Object.keys(t),r=0,a=i.length;a>r;r++)e.call(n,t[i[r]],i[r],t)}function g(t,e,n){if(t)for(var i=Object.keys(t),r=0,a=i.length;a>r;r++)if(e.call(n,t[i[r]],i[r],t))return t[i[r]]}function m(t,e){return t?t.map(function(t){return t[e]}):[]}function x(t){for(var e=[],n=0,i=t.length;i>n;n++)e.indexOf(t[n])<0&&e.push(t[n]);return e}function w(t,e){t.prototype=Object.create(e.prototype,{constructor:{value:t,enumerable:!1,writeable:!0,configurable:!0}}),Object.setPrototypeOf?Object.setPrototypeOf(t,e):(t.__proto__=e,o(t,e))}function _(t,e){return y(t)?e:t}function b(t,e){"undefined"!=typeof console&&console.warn&&console.warn("DEPRECATED (will be removed in "+e+") - "+t)}function S(t){2==arguments.length&&(b('"name" as the first argument for property is no longer required/supported and will be removed in the next version of d3.compose.',"v0.17.0"),t=arguments[1]),t=t||{};var e="property_"+yt++,n=function(i){function r(){return i=o[e],y(i)&&(i=n.default_value,dt(i)&&(i=i.call(s))),dt(t.get)?t.get.call(s,i):i}function a(){if(dt(t.validate)&&!y(i)&&!t.validate.call(s,i))throw new Error("Invalid value for property: "+JSON.stringify(i));var n=o[e];if(o[e]=i,dt(t.set)&&!y(i)){var r=t.set.call(s,i,n);r&&"override"in r&&(o[e]=r.override),r&&dt(r.after)&&r.after.call(s,o[e])}return this}var o=this.__properties=this.__properties||{},s=_(n.context,this);return arguments.length?a.call(this):r.call(this)};return n.is_property=!0,n.id=e,n.set_from_options=_(t.set_from_options,!0),n.default_value=t.default_value,n.context=t.context,n.options=t,n}function L(t){var e=lt.call(arguments,1),n=[],i=[],r={};return e.forEach(function(t){v(t,function(t,e){"initialize"==e?n.push(t):"transform"==e?i.push(t):r[e]=t})}),n.length&&(r.initialize=function(){var e=lt.call(arguments);t.prototype.initialize.apply(this,e),n.forEach(function(t){t.apply(this,e)},this)}),i.length&&(r.transform=function(e){return e=t.prototype.transform.call(this,e),i.reduce(function(t,e){return e.call(this,t)}.bind(this),e)}),t.extend(r)}function A(e){function n(t){return t>0&&e.padding?e.padding:0}return e=s({direction:"vertical",origin:"top",padding:0,min_height:0,min_width:0},e),"horizontal"==e.direction&&"left"!=e.origin&&"right"!=e.origin?e.origin="left":"vertical"==e.direction&&"top"!=e.origin&&"bottom"!=e.origin&&(e.origin="top"),function(i){if(i&&i.attr){var r=0;i.attr("transform",function(i,a){var o,s=this.getBBox(),u=t.max([s.width,e.min_width]),c=t.max([s.height,e.min_height]),h=0,l=0;return"horizontal"==e.direction?(o=r+u+n(a),h="left"==e.origin?r+n(a):o,r=o):(o=r+c+n(a),l="top"==e.origin?r+n(a):o,r=o),F(h,l)})}}}function C(e){if(e=e||{},dt(e))return e;var n;n="time"==e.type?t.time.scale():t.scale[e.type]?t.scale[e.type]():t.scale.linear(),v(e,function(t,e){n[e]&&("range"==e||"domain"==e?n[e](t):i(["type","data","value","key","centered","adjacent","series","padding"],e)||n[e].apply(n,t))}),!e.domain&&e.data&&(e.key||e.value)&&(n=I(n,e));var r=e.centered||"ordinal"==e.type&&null==e.centered;return"ordinal"==e.type&&(r||e.adjacent)&&(n=z(n,e)),"ordinal"==e.type&&(null!=e.padding||r||e.adjacent)&&(n=E(n,e)),n}function I(t,e){var n=e.value||function(t){return t[e.key]},i=e.data;N(i)||(i=[{values:i}]);var r;if("ordinal"==e.type)r=x(u(i.map(function(t){return t&&t.values?t.values.map(n):void 0})));else{var a=Y(i,n);r=[0>a?a:0,R(i,n)]}return t.domain(r),t}function z(t,e){var n=e.series||(N(e.data)?e.data.length:1),i=function(t,e,n){var i=function(n,r){var a=i.width();return e.adjacent||(r=0),t(n)+.5*a+a*(r||0)};return s(i,t,{width:function(){var t=i.rangeBand&&i.rangeBand(),r=isFinite(t)?t:0;return e.adjacent&&(r/=n),r}}),i}(t,e,n);return i}function E(t,e){var n=null!=e.padding?e.padding:.1,i=t.range;return t.range=function(e){return arguments.length?void t.rangeBands(e,n,n/2):i()},e.range&&t.range(e.range),t}function B(e){var n=k(e);if(n.width&&n.height)return n;var i=j(e);if(P(e))return{width:null!=n.width?n.width:i.width||0,height:null!=n.height?n.height:i.height||0};var r=D(e);return{width:t.max([n.width,i.width||r.width])||0,height:t.max([n.height,i.height||r.height])||0}}function k(t){var e=t.node(),n=e&&e.clientWidth,i=e&&e.clientHeight;if(P(t)&&(!e.clientWidth||!e.clientHeight)&&"undefined"!=typeof window&&window.getComputedStyle){var r=window.getComputedStyle(e);i=parseFloat(r.height)-parseFloat(r.borderTopWidth)-parseFloat(r.borderBottomWidth),n=parseFloat(r.width)-parseFloat(r.borderLeftWidth)-parseFloat(r.borderRightWidth)}return{width:n&&!isNaN(n)?n:null,height:i&&!isNaN(i)?i:null}}function j(t){return{width:t&&t.attr&&parseFloat(t.attr("width")),height:t&&t.attr&&parseFloat(t.attr("height"))}}function D(t){var e,n=t.node();try{e=n&&"function"==typeof n.getBBox&&n.getBBox()}catch(i){e={width:0,height:0}}return e}function P(t){return"svg"==t.node().nodeName}function F(t,e){return f(t)&&(e=t.y,t=t.x),"translate("+(t||0)+", "+(e||0)+")"}function O(t,e){var n="rotate("+(t||0);return e&&(n+=" "+(e.x||0)+","+(e.y||0)),n+=")"}function M(t,e){var n=0;try{var i=t.getBBox().height,r=window.getComputedStyle(t),a=parseFloat(r["font-size"]),o=parseFloat(r["line-height"]);isNaN(o)&&(o=1.15*a);var s=-(o-a)/2,u=0;e&&e>0&&(u=(e-i)/2),n=i+(s||0)+(u||0)}catch(c){}return n}function N(t){var e=h(t);return e&&f(e)&&Array.isArray(e.values)}function R(e,n){var i=function(e){return e&&t.extent(e,n)[1]};return N(e)?e.reduce(function(t,e){if(e&&Array.isArray(e.values)){var n=i(e.values);return n>t?n:t}return t},-(1/0)):i(e)}function Y(e,n){var i=function(e){return e&&t.extent(e,n)[0]};return N(e)?e.reduce(function(t,e){if(e&&Array.isArray(e.values)){var n=i(e.values);return t>n?n:t}return t},1/0):i(e)}function X(t){if(!t)return"";var e=[];return v(t,function(t,n){e.push(n+": "+t)}),t=e.join("; "),t?t+";":""}function V(t,e){return d(t)?{top:t,right:t,bottom:t,left:t}:o({},t,e,{top:0,right:0,bottom:0,left:0})}function W(t){var e=function(e,n,i){return t.call(this,void 0,e,n,i)};return e._is_di=!0,e.original=t,e}function T(t,e){return function(n,i,r){return(t.original||t).call(this,e,n,i,r)}}function H(t){for(var e in t)t[e]&&t[e]._is_di&&(t[e]=T(t[e],t))}function K(e){if(e._parent_data)return e._parent_data;var n=e&&e.parentNode;if(n){var i=t.select(n).data();return i&&i[0]}}function q(t){return function(e,n){return n||(n=e,e=void 0),s({id:e,type:t},n)}}function U(t,e){if(e.validate&&!e.validate(t))throw new Error("Invalid value for property: "+JSON.stringify(t))}function J(t){return Array.isArray(t)||(t=Array.prototype.slice.call(arguments)),function(){var e=this.base,n=this;return t.reduce(function(t,i){return i(e,t,n)},this.props)}}function Z(t){return function(e,n){var i=G(t,n),r=i.select.call(e);r.exit().call(i.exit),r.call(i.update),r.enter().call(i.enter),r.call(i.merge)}}function G(t,e){return t=o({},t,{select:function(){return this},enter:function(){},update:function(){},merge:function(){},exit:function(){this.remove()}}),{select:Q(t.select,e),enter:Q(t.enter,e),update:Q(t.update,e),merge:Q(t.merge,e),exit:Q(t.exit,e)}}function Q(t){var e=Array.prototype.slice.call(arguments,1);return function(){var n=Array.prototype.slice.call(arguments);return t.apply(this,e.concat(n))}}function $(t){return function(){y(t.duration)||this.duration(t.duration),y(t.delay)||this.delay(t.delay),y(t.ease)||this.ease(t.ease)}}function tt(t,e){var n=t.select('[data-layer="'+e+'"]');return n.empty()&&(n=t.append("g").attr("data-layer",e)),n}function et(t,e){this.base=t,this._layers={},this._attached={},this._events={},H(this),e&&this.options(e),this.initialize(e)}function nt(t){function e(t,e,n){return o({},t,{id:i(e,n)})}function n(t,e){t&&dt(t.position)?t.position(e):t.position=e}function i(t,e,n){var i="item-"+(t+1)+"-"+(e+1);return null!=n&&(i+="-"+(n+1)),i}function r(t){return function(e){e.data&&!dt(e.data)&&(a[t][e.id]=e.data,a[e.id]=e.data,delete e.data)}}if(t){var a={_charts:{},_components:{}},s={},u=[],c=[],h=[],l={row:!1,charts:!1};return t.forEach(function(t,r){var a=[];Array.isArray(t)||(t=[t]),t.length>1&&(l.row=!0);var f=t.map(function(u,f){if(u){if(u._layered){l.charts=l.row=!0;var d=[];return u.items.forEach(function(t,e){t&&(t=o({},t,{id:i(r,f,e)}),d.push(t.id),c.push(t),s[t.id]=t)}),d}var p=e(u,r,f);return s[p.id]=p,t.length>1?l.charts?(n(p,"right"),a.push(p)):(n(p,"left"),a.unshift(p)):l.row?(n(p,"bottom"),h.push(p)):(n(p,"top"),h.unshift(p)),p.id}});a.length&&(h=h.concat(a)),u.push(f)}),c.forEach(r("_charts")),h.forEach(r("_components")),{data:a,items:s,layout:u,charts:c,components:h}}}function it(t,e,n){var r={top:[],right:[],bottom:[],left:[]};return t.forEach(function(t){if(!t.skip_layout&&t.getLayout){var a=t.getLayout(n(t.id,e)),o=a&&a.position;i(["top","right","bottom","left"],o)&&r[o].push({offset:"top"==o||"bottom"==o?a.height:a.width,component:t})}}),r}function rt(t,e,n,i){function r(t,e,n,i){t&&dt(t.setLayout)&&t.setLayout(e,n,i)}t.top.reduce(function(t,n){var i=t-n.offset;return r(n.component,e.left,i,{width:e.width}),i},e.top),t.right.reduce(function(t,n,i,a){var o=a[i-1]||{offset:0},s=t+o.offset;return r(n.component,s,e.top,{height:e.height}),s},n-e.right),t.bottom.reduce(function(t,n,i,a){var o=a[i-1]||{offset:0},s=t+o.offset;return r(n.component,e.left,s,{width:e.width}),s},i-e.bottom),t.left.reduce(function(t,n){var i=t-n.offset;return r(n.component,i,e.top,{height:e.height}),i},e.left)}function at(t){return Array.isArray(t)||(t=Array.prototype.slice.call(arguments)),{_layered:!0,items:t}}function ot(t,e){return c(t,function(t){return t.id==e})}function st(t,e,n,i){var r={layer:"layer",series:"seriesLayer"}[e];if(r&&t[r]){var a={};return["enter","enter:transition","update","update:transition","merge","merge:transition","exit","exit:transition"].forEach(function(e){var n="on"+e.split(":").map(function(t){return t.charAt(0).toUpperCase()+t.slice(1)}).join("");t[n]&&(a[e]=function(){this.chart()[n](this)})}),t[r](n,i,{dataBind:function(t){return this.chart().onDataBind(this,t)},insert:function(){return this.chart().onInsert(this)},events:a})}}function ut(t,e){return e?(N(e)||(e=[{values:e}]),e.map(function(e,n){return e.values.map(function(i,r){return t.getPoint.call({_parent_data:e},i,r,n)}).sort(function(t,e){return t.meta.x-e.meta.x})})):void 0}function ct(t,e,n){function i(t,e){return Math.sqrt(Math.pow(e.x-t.x,2)+Math.pow(e.y-t.y,2))}return t?r(t.map(function(t){function r(t){return t.distance=i(t.meta,e),t}function a(t){return t.distance<n}function o(t,e){return t.distance<e.distance?-1:t.distance>e.distance?1:0}var s=t.map(r).filter(a).sort(o);return s[0]})):[]}function ht(t,e,n){var r=m(t,"key"),a=m(e,"key");v(e,function(t){i(r,t.key)?n.trigger("mousemove:point",t):n.trigger("mouseenter:point",t)}),v(t,function(t){i(a,t.key)||n.trigger("mouseleave:point",t)})}t="default"in t?t["default"]:t;var lt=Array.prototype.slice,ft=Object.prototype.toString,dt=function(t){return"[object Function]"===ft.call(t)};"function"!=typeof/./&&"object"!=typeof Int8Array&&(dt=function(t){return"function"==typeof t||!1});var pt={slice:lt,toString:ft,contains:i,compact:r,difference:a,defaults:o,extend:s,flatten:u,find:c,first:h,isBoolean:l,isFunction:dt,isObject:f,isNumber:d,isString:p,isUndefined:y,objectEach:v,objectFind:g,pluck:m,uniq:x,inherits:w,valueOrDefault:_},yt=0,vt={string:{},number:{},array:{},object:{},any:{}},gt={property:S,dimensions:B,translate:F,rotate:O,alignText:M,isSeriesData:N,max:R,min:Y,createScale:C,style:X,getMargins:V,stack:A,di:W,bindDi:T,bindAllDi:H,getParentData:K,mixin:L,createHelper:q,types:vt,checkProp:U,createPrepare:J,createDraw:Z,createTransition:$,getLayer:tt},mt=t.chart();w(et,mt),s(et.prototype,{initialize:function(){},transform:function(t){return t},demux:function(t,e){return e},draw:function(t){t=this.transform(t),this.data(t),this.trigger("before:draw",t),v(this._layers,function(e){e.draw(t)}),v(this._attached,function(e,n){e.draw(this.demux(n,t))},this),this.trigger("draw",t)},layer:mt.prototype.layer,unlayer:mt.prototype.unlayer,attach:mt.prototype.attach,on:mt.prototype.on,once:mt.prototype.once,off:mt.prototype.off,trigger:mt.prototype.trigger,data:S(),options:S({default_value:{},set:function(t,e){function n(t,e){return t[e]&&t[e].is_property&&t[e].set_from_options}if(e){var i=a(Object.keys(e),Object.keys(t));i.forEach(function(t){"data"!=t&&"options"!=t&&n(this,t)&&this[t](void 0)},this)}v(t,function(t,e){n(this,e)&&this[e](t)},this)}}),width:function(){return B(this.base).width},height:function(){return B(this.base).height}}),et.extend=function(t,e){var n;p(t)&&(n=t,t=e,e=arguments[2]);var i,r=this;return t&&t.hasOwnProperty("constructor")?(i=t.constructor,t=s({},t),delete t.constructor):i=function(){return r.apply(this,arguments)},w(i,r),e&&s(i,e),t&&s(i.prototype,t),n&&(mt[n]=i),i};var xt=et.extend({position:S({default_value:"top",validate:function(t){return i(["top","right","bottom","left"],t)}}),width:S({default_value:function(){return B(this.base).width}}),height:S({default_value:function(){return B(this.base).height}}),margins:S({set:function(t){return{override:V(t)}},default_value:V()}),centered:S({default_value:!1}),skip_layout:!1,prepareLayout:function(t){this.draw(t)},getLayout:function(t){this.prepareLayout(t);var e=this.margins();return{position:this.position(),width:this.width()+e.left+e.right,height:this.height()+e.top+e.bottom}},setLayout:function(t,e,n){var i=this.margins();if(this.centered()){var r=B(this.base);e+="height"in n?(n.height-r.height)/2:i.top,t+="width"in n?(n.width-r.width)/2:i.left}else t+=i.left,e+=i.top;this.base.attr("transform",F(t,e)),this.height(n&&n.height),this.width(n&&n.width)}},{properties:{position:{type:vt.string,validate:function(t){return i(["top","right","bottom","left"],t)}},width:{type:vt.number,getDefault:function(t,e,n){var i=n.width();return y(i)?B(t).width:i}},height:{type:vt.number,getDefault:function(t,e,n){var i=n.height();return y(i)?B(t).height:i}}},z_index:50,layer_type:"component"}),wt=xt.extend({initialize:function(t){xt.prototype.initialize.call(this,t),this.base.attr("style",this.style())},skip_layout:!0,x:S({default_value:0}),y:S({default_value:0}),hidden:S({default_value:!0}),style:S({default_value:function(){var t=F(this.x()+"px",this.y()+"px"),e={position:"absolute",top:0,left:0,"-webkit-transform":t,"-ms-transform":t,transform:t};return this.hidden()&&(e.display="none"),X(e)}}),position:function(t,e){if(arguments.length>1)t={x:t,y:e};else if("container"in t)t=this.getAbsolutePosition(t.container);else if("chart"in t)if(this.container){var n=this.container.chartPosition();t=this.getAbsolutePosition({x:t.chart.x+n.left,y:t.chart.y+n.top})}else t=this.getAbsolutePosition(t.chart);this.x(t.x).y(t.y),this.base.attr("style",this.style())},show:function(){this.hidden(!1),this.base.attr("style",this.style())},hide:function(){this.hidden(!0),this.base.attr("style",this.style())},getAbsolutePosition:function(t){var e=this.container&&this.container.container;if(e&&this.container.responsive()){var n=B(e),i=this.container.width(),r=this.container.height(),a=n.width/i,o=n.height/r;return{x:a*t.x,y:o*t.y}}return t}},{layer_type:"overlay"}),_t={top:10,right:10,bottom:10,left:10},bt=et.extend({initialize:function(t){et.prototype.initialize.call(this,t),"svg"!=this.base.node().tagName?(this.container=this.base.append("div").attr("class","chart-compose-container"),this.base=this.container.append("svg").attr("xlmns","http://www.w3.org/2000/svg").attr("version","1.1").attr("class","chart-compose")):this.base.classed("chart-compose",!0),this.attachHoverListeners()},transform:function(t){return this.rawData(t),et.prototype.transform.call(this,t)},options:S({default_value:function(){return function(){}},set:function(t){return dt(t)?void 0:{override:function(){return t}}}}),rawData:S(),margins:S({default_value:_t,set:function(t){return{override:V(t,_t)}}}),chartPosition:S({default_value:{top:0,right:0,bottom:0,left:0},set:function(t){return{override:o({},t,{top:0,right:0,bottom:0,left:0})}},get:function(t){return t.width=this._width()-t.right-t.left,t.height=this._height()-t.bottom-t.top,t}}),width:S({default_value:null}),height:S({default_value:null}),_width:function(){var t=this.width();return null!=t?t:et.prototype.width.call(this)},_height:function(){var t=this.height();return null!=t?t:et.prototype.height.call(this)},responsive:S({default_value:!0}),viewBox:S({default_value:function(){return this.responsive()&&this.width()&&this.height()?"0 0 "+this.width()+" "+this.height():null}}),preserveAspectRatio:S({default_value:function(){return this.responsive()?"xMidYMid meet":null}}),containerStyle:S({default_value:function(){if(this.responsive()){var t=1;return this.width()&&this.height()&&(t=this.height()/this.width()),X({width:"100%",height:0,"padding-top":100*t+"%",position:"relative"})}return X({position:"relative"})}}),baseStyle:S({default_value:function(){return this.responsive()&&this.container?X({position:"absolute",top:0,left:0}):null}}),charts:S({set:function(t,e){return{override:this._attachItems(t,e,this)}},default_value:[]}),components:S({set:function(t,e){return{override:this._attachItems(t,e,this)}},default_value:[]}),delay:S(),duration:S(),ease:S(),draw:function(e){var n=this._prepareConfig(this.options(),e);n||(n={data:{_charts:{},_components:{}},layout:[],charts:[],components:[]}),this.charts(n.charts),this.components(n.components),e={original:e,config:n.data},this.data(e),this._setDimensions(),this.layout(n.layout,e),t.chart().prototype.draw.call(this,e)},redraw:function(){this.rawData()&&this.draw(this.rawData().original)},demux:function(t,e){return e&&e.config&&e.original?ot(this.charts(),t)&&e.config._charts[t]?e.config._charts[t]:ot(this.components(),t)&&e.config._components[t]?e.config._components[t]:e.original:e},createChartLayer:function(t){return this.base.append("g").attr("class","chart-layer").attr("data-zIndex",t&&t.z_index)},createComponentLayer:function(t){return this.base.append("g").attr("class","chart-component-layer").attr("data-zIndex",t&&t.z_index)},createOverlayLayer:function(){if(!this.container)throw new Error("Cannot create overlay layer if original selection \"d3.select(...).chart('Compose')\" is an svg. Use a div instead for responsive and overlay support.");return this.container.append("div").attr("class","chart-overlay-layer")},layout:function(t,e){this._positionChartLayers(),t=this._extractLayout(e);var n=s({},this.margins());v(t,function(t,e){t.forEach(function(t){n[e]+=t.offset||0})}),this.chartPosition(n),this.positionLayers(t)},attachHoverListeners:function(){function e(){var e=t.mouse(document.documentElement);return e[0]>=c.left&&e[0]<=c.right&&e[1]>=c.top&&e[1]<=c.bottom}function n(){l("mouseenter",a(t.mouse(p)))}function i(){l("mousemove",a(t.mouse(p)))}function r(){l("mouseleave")}function a(t){var e=t[0],n=t[1],i=e-u.left,r=n-u.top;return e>u.left+u.width?i=u.width:e<u.left&&(i=0),n>u.top+u.height?r=u.height:n<u.top&&(r=0),{container:{x:e,y:n},chart:{x:i,y:r}}}function o(){var t="scrollY"in window?window.scrollY:document.documentElement.scrollTop;return c=s({},p.getBoundingClientRect()),c.top+=t,c.bottom+=t,c}var u,c,h,l=this.trigger.bind(this),f=this.chartPosition.bind(this),d=this.container||this.base,p=this.base.node();d.on("mouseenter",function(){u=f(),c=o(),h=e(c),h&&n()}),d.on("mousemove",function(){u&&c||(u=f(),c=o());var t=e(c);h&&t?i():h?r():t&&n(),h=t}),d.on("mouseleave",function(){h&&(h=!1,r())})},attach:function(t,e){e.id=t,e.base.attr("data-id",t),e.container=this,et.prototype.attach.call(this,t,e),e&&dt(e.trigger)&&e.trigger("attach")},detach:function(t,e){e.base.remove(),delete this._attached[t],e&&dt(e.trigger)&&e.trigger("detach")},positionLayers:function(t){this._positionChartLayers(),this._positionComponents(t),this._positionByZIndex()},_setDimensions:function(){this.container&&this.container.attr("style",this.containerStyle()),this.base.attr("viewBox",this.viewBox()).attr("preserveAspectRatio",this.preserveAspectRatio()).attr("style",this.baseStyle()).attr("width",this.responsive()?null:this.width()).attr("height",this.responsive()?null:this.height())},_attachItems:function(e,n,i){e=e||[],n=n||[];var r=a(m(n,"id"),m(e,"id"));return r.forEach(function(t){i.detach(t,ot(n,t))}),e.map(function(e){var r=e.id,a=ot(n,r);if(e instanceof t.chart())return a&&i.detach(r,a),i.attach(r,e),e;var o=a&&!(a instanceof wt)&&a.position&&e.position&&a.position()!=e.position;if(a&&(a.type!=e.type||o)&&(i.detach(r,a),a=void 0),a)a.options(e);else{var s=t.chart(e.type);if(!s)throw new Error("No registered d3.chart found for "+e.type);var u={z_index:s.z_index||0},c={chart:"createChartLayer",component:"createComponentLayer",overlay:"createOverlayLayer"}[s.layer_type];if(!c)throw new Error('Unrecognized layer type "'+s.layer_type+'" for '+e.type);var h=i[c](u);a=new s(h,e),a.type=e.type,i.attach(r,a)}return a})},_prepareConfig:function(t,e){return nt(t(e))},_positionChartLayers:function(){var t=this.chartPosition();this.base.selectAll(".chart-layer").attr("transform",F(t.left,t.top)).attr("width",t.width).attr("height",t.height)},_positionComponents:function(t){var e=this.chartPosition(),n=this._width(),i=this._height();rt(t,e,n,i)},_positionByZIndex:function(){function e(e){return{layer:e,zIndex:parseInt(t.select(e).attr("data-zIndex"))||0}}function n(t,e){return t.zIndex<e.zIndex?-1:t.zIndex>e.zIndex?1:0}function i(t){return t.layer}var r=this.base.selectAll(".chart-layer, .chart-component-layer")[0];r=r.map(e).sort(n).map(i),r.forEach(function(t){t&&t.parentNode&&t.parentNode.appendChild&&t.parentNode.appendChild(t)})},_extractLayout:function(t){return it(this.components(),t,this.demux.bind(this))}}),St=et.extend({},{z_index:100,layer_type:"chart"}),Lt={standardLayer:function(t,e){return st(this,"layer",t,e)},standardSeriesLayer:function(t,e){return st(this,"series",t,e)},onDataBind:function(){},onInsert:function(){},onEnter:function(){},onUpdate:function(){},onMerge:function(){},onExit:function(){}},At={delay:S({default_value:function(){return this.container&&this.container.delay&&this.container.delay()}}),duration:S({default_value:function(){return this.container&&this.container.delay&&this.container.duration()}}),ease:S({default_value:function(){return this.container&&this.container.delay&&this.container.ease()}}),setupTransition:function(t){var e=this.delay(),n=this.duration(),i=this.ease();y(e)||t.delay(e),y(n)||t.duration(n),y(i)||t.ease(i)}},Ct={initialize:function(){this.on("attach",function(){this.container.on("mouseenter",this.onMouseEnter.bind(this)),this.container.on("mousemove",this.onMouseMove.bind(this)),this.container.on("mouseleave",this.onMouseLeave.bind(this))}.bind(this))},getPoint:W(function(t,e,n,i){var r=t.key&&t.key.call(this,e,n,i),a=t.seriesData&&t.seriesData.call(this,e,n,i)||{};return{key:(a.key||i)+"."+(r||n),series:a,d:e,meta:{chart:t,i:n,j:i,x:t.x&&t.x.call(this,e,n,i),y:t.y&&t.y.call(this,e,n,i)}}}),mouseEnterPoint:W(function(t,e,n,i){t.container.trigger("mouseenter:point",t.getPoint.call(this,e,n,i))}),mouseLeavePoint:W(function(t,e,n,i){t.container.trigger("mouseleave:point",t.getPoint.call(this,e,n,i))}),onMouseEnter:function(){},onMouseMove:function(){},onMouseLeave:function(){}},It={initialize:function(){var t,e,n;this.on("draw",function(){t=null}),this.on("attach",function(){var i=function(i){var r=[];i&&(r=ct(t,i.chart,e)),ht(n,r,this.container),n=r}.bind(this);this.container.on("mouseenter",function(n){t||(t=ut(this,this.data())),e=this.hoverTolerance(),i(n)}.bind(this)),this.container.on("mousemove",i),this.container.on("mouseleave",i)}.bind(this))},hoverTolerance:S({default_value:1/0})},zt={attachLabels:function(){var e=this.labels();e.parent=this;var n=t.chart(e.type),i=this.base.append("g").attr("class","chart-labels"),r=this._labels=new n(i,e);this.proxyLabelMethods.forEach(function(t){r[t]=this[t]},this),this.on("draw",function(t){e=this.labels(),e.parent=this,r.options(e),e.display!==!1?r.draw(e.data||t):r.draw([])}.bind(this))},labels:S({get:function(t){return l(t)?t={display:t}:t||(t={display:!1}),o({},t,{type:"Labels"})}}),proxyLabelMethods:[]},Et=s({},zt,{proxyLabelMethods:["x","y"]}),Bt={x:W(function(t,e,n){var i=t.yValue.call(this,e,n),r=t.seriesIndex&&t.seriesIndex.call(this,e,n)||0;return parseFloat(t.yScale()(i,r))}),y:W(function(t,e,n){var i=t.xValue.call(this,e,n),r=t.seriesIndex&&t.seriesIndex.call(this,e,n)||0;return parseFloat(t.xScale()(i,r))}),x0:function(){return parseFloat(this.yScale()(0))},y0:function(){return parseFloat(this.xScale()(0))},setXScaleRange:function(t){t.range([this.height(),0])},setYScaleRange:function(t){t.range([0,this.width()])}},kt={adjacentWidth:function(){var t=this.seriesCount?this.seriesCount():1;return this.layeredWidth()/t},layeredWidth:function(){var t=this.xScale()&&this.xScale().rangeBand&&this.xScale().rangeBand(),e=isFinite(t)?t:0;return e},itemWidth:function(){var t=this.xScale();return t&&t.width?t.width():this.layeredWidth()},getDefaultXScale:function(){return C({type:"ordinal",data:this.data(),key:"x",centered:!0})}},jt={initialize:function(){this.on("before:draw",this.setScales.bind(this))},transform:function(t){function e(t,e){return f(t)?!Array.isArray(t)&&y(t.x)&&(t.x=e):t={x:e,y:t},t}return t=t||[],N(t)?t=t.map(function(t){return s({},t,{values:t.values.map(e)})}):Array.isArray(t)&&(t=t.map(e)),t},xScale:S({set:function(t){var e=C(t);return this.setXScaleRange(e),{override:e}},get:function(t){return t||(t=this.getDefaultXScale(),this.setXScaleRange(t)),t}}),yScale:S({set:function(t){var e=C(t);return this.setYScaleRange(e),{override:e}},get:function(t){return t||(t=this.getDefaultYScale(),this.setYScaleRange(t)),t}}),xKey:S({default_value:"x"}),yKey:S({default_value:"y"}),x:W(function(t,e,n){var i=t.xValue.call(this,e,n),r=t.seriesIndex&&t.seriesIndex.call(this,e,n)||0;return parseFloat(t.xScale()(i,r))}),y:W(function(t,e,n){var i=t.yValue.call(this,e,n),r=t.seriesIndex&&t.seriesIndex.call(this,e,n)||0;return parseFloat(t.yScale()(i,r))}),key:W(function(t,e,n){return _(e.key,t.xValue.call(this,e,n))}),x0:function(){return parseFloat(this.xScale()(0))},y0:function(){return parseFloat(this.yScale()(0))},xValue:W(function(t,e){var n=t.xKey();return e?n in e?e[n]:e[0]:void 0}),yValue:W(function(t,e){var n=t.yKey();return e?n in e?e[n]:e[1]:void 0}),setScales:function(){this.setXScaleRange(this.xScale()),this.setYScaleRange(this.yScale())},setXScaleRange:function(t){t.range([0,this.width()])},setYScaleRange:function(t){t.range([this.height(),0])},getDefaultXScale:function(){return C({data:this.data(),key:"x"})},getDefaultYScale:function(){return C({data:this.data(),key:"y"})}},Dt={seriesKey:W(function(t,e){return e.key}),seriesValues:W(function(t,e,n){return e.seriesIndex=n,e.values}),seriesClass:W(function(t,e,n){return"chart-series chart-index-"+n+(e["class"]?" "+e["class"]:"")}),seriesIndex:W(function(t,e,n){var i=t.seriesData.call(this,e,n);return i&&i.seriesIndex||0}),seriesData:W(function(){return K(this)}),itemStyle:W(function(t,e){return X(e.style)||null}),seriesCount:function(){var t=this.data();return t&&N(t)?t.length:1},seriesLayer:function(e,n,i){if(i&&i.dataBind){var r=i.dataBind;i.dataBind=function(t){var e=this.chart(),n=this.selectAll("g").data(t,e.seriesKey);return n.enter().append("g"),n.attr("class",e.seriesClass).attr("style",e.itemStyle),n.exit().remove(),n.chart=function(){return e},r.call(n,e.seriesValues)}}return t.chart().prototype.layer.call(this,e,n,i)},transform:function(t){return N(t)?t:[{values:t}]}},Pt={Series:Dt,XY:jt,XYValues:kt,XYInverted:Bt,Labels:zt,LabelsXY:Et,Hover:Ct,HoverPoints:It,Transition:At,StandardLayer:Lt};pt.extend(t.chart(),{Base:et,Chart:St,Component:xt,Overlay:wt,Compose:bt});var Ft=t.compose={VERSION:"0.15.15",utils:pt,helpers:gt,Base:et,Chart:St,Component:xt,Overlay:wt,Compose:bt,layered:at,mixins:Pt};return Ft});
//# sourceMappingURL=d3.compose-mixins.min.js.map
