/*!
 * d3.compose - Compose complex, data-driven visualizations from reusable charts and components with d3
 * v0.15.15 - https://github.com/CSNW/d3.compose - license: MIT
 */
!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e(require("d3"),require("d3.chart")):"function"==typeof define&&define.amd?define(["d3","d3.chart"],e):t.d3c=e(t.d3,t.d3_chart)}(this,function(t,e){"use strict";function n(t,e,n){for(var i=0,r=e.length;r>i;i++)for(var o in e[i])n&&void 0!==t[o]||(t[o]=e[i][o]);return t}function i(t,e){return t.indexOf(e)>=0}function r(t){return t.filter(function(t){return t})}function o(t,e){return t.filter(function(t){return e.indexOf(t)<0})}function a(t){return n(t,st.call(arguments,1),!0)}function s(t){return n(t,st.call(arguments,1))}function u(t){return t.reduce(function(t,e){return t.concat(e)},[])}function c(t,e,n){if(t)for(var i=0,r=t.length;r>i;i++)if(e.call(n,t[i],i,t))return t[i]}function h(t,e){return null!=t?null==e?t[0]:Array.prototype.slice.call(t,0,e):void 0}function l(t){return t===!0||t===!1}function f(t){var e=typeof t;return"function"===e||"object"===e&&!!t}function d(t){return"[object Number]"===ut.call(t)}function p(t){return"[object String]"===ut.call(t)}function g(t){return void 0===t}function y(t,e,n){if(t)for(var i=Object.keys(t),r=0,o=i.length;o>r;r++)e.call(n,t[i[r]],i[r],t)}function v(t,e,n){if(t)for(var i=Object.keys(t),r=0,o=i.length;o>r;r++)if(e.call(n,t[i[r]],i[r],t))return t[i[r]]}function m(t,e){return t?t.map(function(t){return t[e]}):[]}function w(t){for(var e=[],n=0,i=t.length;i>n;n++)e.indexOf(t[n])<0&&e.push(t[n]);return e}function _(t,e){t.prototype=Object.create(e.prototype,{constructor:{value:t,enumerable:!1,writeable:!0,configurable:!0}}),Object.setPrototypeOf?Object.setPrototypeOf(t,e):(t.__proto__=e,a(t,e))}function b(t,e){return g(t)?e:t}function x(t,e){"undefined"!=typeof console&&console.warn&&console.warn("DEPRECATED (will be removed in "+e+") - "+t)}function A(t){2==arguments.length&&(x('"name" as the first argument for property is no longer required/supported and will be removed in the next version of d3.compose.',"v0.17.0"),t=arguments[1]),t=t||{};var e="property_"+lt++,n=function(i){function r(){return i=a[e],g(i)&&(i=n.default_value,ct(i)&&(i=i.call(s))),ct(t.get)?t.get.call(s,i):i}function o(){if(ct(t.validate)&&!g(i)&&!t.validate.call(s,i))throw new Error("Invalid value for property: "+JSON.stringify(i));var n=a[e];if(a[e]=i,ct(t.set)&&!g(i)){var r=t.set.call(s,i,n);r&&"override"in r&&(a[e]=r.override),r&&ct(r.after)&&r.after.call(s,a[e])}return this}var a=this.__properties=this.__properties||{},s=b(n.context,this);return arguments.length?o.call(this):r.call(this)};return n.is_property=!0,n.id=e,n.set_from_options=b(t.set_from_options,!0),n.default_value=t.default_value,n.context=t.context,n.options=t,n}function z(t){var e=st.call(arguments,1),n=[],i=[],r={};return e.forEach(function(t){y(t,function(t,e){"initialize"==e?n.push(t):"transform"==e?i.push(t):r[e]=t})}),n.length&&(r.initialize=function(){var e=st.call(arguments);t.prototype.initialize.apply(this,e),n.forEach(function(t){t.apply(this,e)},this)}),i.length&&(r.transform=function(e){return e=t.prototype.transform.call(this,e),i.reduce(function(t,e){return e.call(this,t)}.bind(this),e)}),t.extend(r)}function C(e){function n(t){return t>0&&e.padding?e.padding:0}return e=s({direction:"vertical",origin:"top",padding:0,min_height:0,min_width:0},e),"horizontal"==e.direction&&"left"!=e.origin&&"right"!=e.origin?e.origin="left":"vertical"==e.direction&&"top"!=e.origin&&"bottom"!=e.origin&&(e.origin="top"),function(i){if(i&&i.attr){var r=0;i.attr("transform",function(i,o){var a,s=this.getBBox(),u=t.max([s.width,e.min_width]),c=t.max([s.height,e.min_height]),h=0,l=0;return"horizontal"==e.direction?(a=r+u+n(o),h="left"==e.origin?r+n(o):a,r=a):(a=r+c+n(o),l="top"==e.origin?r+n(o):a,r=a),S(h,l)})}}}function L(e){if(e=e||{},ct(e))return e;var n;n="time"==e.type?t.time.scale():t.scale[e.type]?t.scale[e.type]():t.scale.linear(),y(e,function(t,e){n[e]&&("range"==e||"domain"==e?n[e](t):i(["type","data","value","key","centered","adjacent","series","padding"],e)||n[e].apply(n,t))}),!e.domain&&e.data&&(e.key||e.value)&&(n=j(n,e));var r=e.centered||"ordinal"==e.type&&null==e.centered;return"ordinal"==e.type&&(r||e.adjacent)&&(n=E(n,e)),"ordinal"==e.type&&(null!=e.padding||r||e.adjacent)&&(n=O(n,e)),n}function j(t,e){var n=e.value||function(t){return t[e.key]},i=e.data;R(i)||(i=[{values:i}]);var r;if("ordinal"==e.type)r=w(u(i.map(function(t){return t&&t.values?t.values.map(n):void 0})));else{var o=H(i,n);r=[0>o?o:0,W(i,n)]}return t.domain(r),t}function E(t,e){var n=e.series||(R(e.data)?e.data.length:1),i=function(t,e,n){var i=function(n,r){var o=i.width();return e.adjacent||(r=0),t(n)+.5*o+o*(r||0)};return s(i,t,{width:function(){var t=i.rangeBand&&i.rangeBand(),r=isFinite(t)?t:0;return e.adjacent&&(r/=n),r}}),i}(t,e,n);return i}function O(t,e){var n=null!=e.padding?e.padding:.1,i=t.range;return t.range=function(e){return arguments.length?void t.rangeBands(e,n,n/2):i()},e.range&&t.range(e.range),t}function B(e){var n=I(e);if(n.width&&n.height)return n;var i=N(e);if(D(e))return{width:null!=n.width?n.width:i.width||0,height:null!=n.height?n.height:i.height||0};var r=P(e);return{width:t.max([n.width,i.width||r.width])||0,height:t.max([n.height,i.height||r.height])||0}}function I(t){var e=t.node(),n=e&&e.clientWidth,i=e&&e.clientHeight;if(D(t)&&(!e.clientWidth||!e.clientHeight)&&"undefined"!=typeof window&&window.getComputedStyle){var r=window.getComputedStyle(e);i=parseFloat(r.height)-parseFloat(r.borderTopWidth)-parseFloat(r.borderBottomWidth),n=parseFloat(r.width)-parseFloat(r.borderLeftWidth)-parseFloat(r.borderRightWidth)}return{width:n&&!isNaN(n)?n:null,height:i&&!isNaN(i)?i:null}}function N(t){return{width:t&&t.attr&&parseFloat(t.attr("width")),height:t&&t.attr&&parseFloat(t.attr("height"))}}function P(t){var e,n=t.node();try{e=n&&"function"==typeof n.getBBox&&n.getBBox()}catch(i){e={width:0,height:0}}return e}function D(t){return"svg"==t.node().nodeName}function S(t,e){return f(t)&&(e=t.y,t=t.x),"translate("+(t||0)+", "+(e||0)+")"}function k(t,e){var n="rotate("+(t||0);return e&&(n+=" "+(e.x||0)+","+(e.y||0)),n+=")"}function F(t,e){var n=0;try{var i=t.getBBox().height,r=window.getComputedStyle(t),o=parseFloat(r["font-size"]),a=parseFloat(r["line-height"]);isNaN(a)&&(a=1.15*o);var s=-(a-o)/2,u=0;e&&e>0&&(u=(e-i)/2),n=i+(s||0)+(u||0)}catch(c){}return n}function R(t){var e=h(t);return e&&f(e)&&Array.isArray(e.values)}function W(e,n){var i=function(e){return e&&t.extent(e,n)[1]};return R(e)?e.reduce(function(t,e){if(e&&Array.isArray(e.values)){var n=i(e.values);return n>t?n:t}return t},-(1/0)):i(e)}function H(e,n){var i=function(e){return e&&t.extent(e,n)[0]};return R(e)?e.reduce(function(t,e){if(e&&Array.isArray(e.values)){var n=i(e.values);return t>n?n:t}return t},1/0):i(e)}function T(t){if(!t)return"";var e=[];return y(t,function(t,n){e.push(n+": "+t)}),t=e.join("; "),t?t+";":""}function q(t,e){return d(t)?{top:t,right:t,bottom:t,left:t}:a({},t,e,{top:0,right:0,bottom:0,left:0})}function M(t){var e=function(e,n,i){return t.call(this,void 0,e,n,i)};return e._is_di=!0,e.original=t,e}function U(t,e){return function(n,i,r){return(t.original||t).call(this,e,n,i,r)}}function Y(t){for(var e in t)t[e]&&t[e]._is_di&&(t[e]=U(t[e],t))}function J(e){if(e._parent_data)return e._parent_data;var n=e&&e.parentNode;if(n){var i=t.select(n).data();return i&&i[0]}}function Z(t){return function(e,n){return n||(n=e,e=void 0),s({id:e,type:t},n)}}function V(t,e){if(e.validate&&!e.validate(t))throw new Error("Invalid value for property: "+JSON.stringify(t))}function G(t){return Array.isArray(t)||(t=Array.prototype.slice.call(arguments)),function(){var e=this.base,n=this;return t.reduce(function(t,i){return i(e,t,n)},this.props)}}function K(t){return function(e,n){var i=Q(t,n),r=i.select.call(e);r.exit().call(i.exit),r.call(i.update),r.enter().call(i.enter),r.call(i.merge)}}function Q(t,e){return t=a({},t,{select:function(){return this},enter:function(){},update:function(){},merge:function(){},exit:function(){this.remove()}}),{select:X(t.select,e),enter:X(t.enter,e),update:X(t.update,e),merge:X(t.merge,e),exit:X(t.exit,e)}}function X(t){var e=Array.prototype.slice.call(arguments,1);return function(){var n=Array.prototype.slice.call(arguments);return t.apply(this,e.concat(n))}}function $(t){return function(){g(t.duration)||this.duration(t.duration),g(t.delay)||this.delay(t.delay),g(t.ease)||this.ease(t.ease)}}function tt(t,e){var n=t.select('[data-layer="'+e+'"]');return n.empty()&&(n=t.append("g").attr("data-layer",e)),n}function et(t,e){this.base=t,this._layers={},this._attached={},this._events={},Y(this),e&&this.options(e),this.initialize(e)}function nt(t){function e(t,e,n){return a({},t,{id:i(e,n)})}function n(t,e){t&&ct(t.position)?t.position(e):t.position=e}function i(t,e,n){var i="item-"+(t+1)+"-"+(e+1);return null!=n&&(i+="-"+(n+1)),i}function r(t){return function(e){e.data&&!ct(e.data)&&(o[t][e.id]=e.data,o[e.id]=e.data,delete e.data)}}if(t){var o={_charts:{},_components:{}},s={},u=[],c=[],h=[],l={row:!1,charts:!1};return t.forEach(function(t,r){var o=[];Array.isArray(t)||(t=[t]),t.length>1&&(l.row=!0);var f=t.map(function(u,f){if(u){if(u._layered){l.charts=l.row=!0;var d=[];return u.items.forEach(function(t,e){t&&(t=a({},t,{id:i(r,f,e)}),d.push(t.id),c.push(t),s[t.id]=t)}),d}var p=e(u,r,f);return s[p.id]=p,t.length>1?l.charts?(n(p,"right"),o.push(p)):(n(p,"left"),o.unshift(p)):l.row?(n(p,"bottom"),h.push(p)):(n(p,"top"),h.unshift(p)),p.id}});o.length&&(h=h.concat(o)),u.push(f)}),c.forEach(r("_charts")),h.forEach(r("_components")),{data:o,items:s,layout:u,charts:c,components:h}}}function it(t,e,n){var r={top:[],right:[],bottom:[],left:[]};return t.forEach(function(t){if(!t.skip_layout&&t.getLayout){var o=t.getLayout(n(t.id,e)),a=o&&o.position;i(["top","right","bottom","left"],a)&&r[a].push({offset:"top"==a||"bottom"==a?o.height:o.width,component:t})}}),r}function rt(t,e,n,i){function r(t,e,n,i){t&&ct(t.setLayout)&&t.setLayout(e,n,i)}t.top.reduce(function(t,n){var i=t-n.offset;return r(n.component,e.left,i,{width:e.width}),i},e.top),t.right.reduce(function(t,n,i,o){var a=o[i-1]||{offset:0},s=t+a.offset;return r(n.component,s,e.top,{height:e.height}),s},n-e.right),t.bottom.reduce(function(t,n,i,o){var a=o[i-1]||{offset:0},s=t+a.offset;return r(n.component,e.left,s,{width:e.width}),s},i-e.bottom),t.left.reduce(function(t,n){var i=t-n.offset;return r(n.component,i,e.top,{height:e.height}),i},e.left)}function ot(t){return Array.isArray(t)||(t=Array.prototype.slice.call(arguments)),{_layered:!0,items:t}}function at(t,e){return c(t,function(t){return t.id==e})}t="default"in t?t["default"]:t;var st=Array.prototype.slice,ut=Object.prototype.toString,ct=function(t){return"[object Function]"===ut.call(t)};"function"!=typeof/./&&"object"!=typeof Int8Array&&(ct=function(t){return"function"==typeof t||!1});var ht={slice:st,toString:ut,contains:i,compact:r,difference:o,defaults:a,extend:s,flatten:u,find:c,first:h,isBoolean:l,isFunction:ct,isObject:f,isNumber:d,isString:p,isUndefined:g,objectEach:y,objectFind:v,pluck:m,uniq:w,inherits:_,valueOrDefault:b},lt=0,ft={string:{},number:{},array:{},object:{},any:{}},dt={property:A,dimensions:B,translate:S,rotate:k,alignText:F,isSeriesData:R,max:W,min:H,createScale:L,style:T,getMargins:q,stack:C,di:M,bindDi:U,bindAllDi:Y,getParentData:J,mixin:z,createHelper:Z,types:ft,checkProp:V,createPrepare:G,createDraw:K,createTransition:$,getLayer:tt},pt=t.chart();_(et,pt),s(et.prototype,{initialize:function(){},transform:function(t){return t},demux:function(t,e){return e},draw:function(t){t=this.transform(t),this.data(t),this.trigger("before:draw",t),y(this._layers,function(e){e.draw(t)}),y(this._attached,function(e,n){e.draw(this.demux(n,t))},this),this.trigger("draw",t)},layer:pt.prototype.layer,unlayer:pt.prototype.unlayer,attach:pt.prototype.attach,on:pt.prototype.on,once:pt.prototype.once,off:pt.prototype.off,trigger:pt.prototype.trigger,data:A(),options:A({default_value:{},set:function(t,e){function n(t,e){return t[e]&&t[e].is_property&&t[e].set_from_options}if(e){var i=o(Object.keys(e),Object.keys(t));i.forEach(function(t){"data"!=t&&"options"!=t&&n(this,t)&&this[t](void 0)},this)}y(t,function(t,e){n(this,e)&&this[e](t)},this)}}),width:function(){return B(this.base).width},height:function(){return B(this.base).height}}),et.extend=function(t,e){var n;p(t)&&(n=t,t=e,e=arguments[2]);var i,r=this;return t&&t.hasOwnProperty("constructor")?(i=t.constructor,t=s({},t),delete t.constructor):i=function(){return r.apply(this,arguments)},_(i,r),e&&s(i,e),t&&s(i.prototype,t),n&&(pt[n]=i),i};var gt=et.extend({position:A({default_value:"top",validate:function(t){return i(["top","right","bottom","left"],t)}}),width:A({default_value:function(){return B(this.base).width}}),height:A({default_value:function(){return B(this.base).height}}),margins:A({set:function(t){return{override:q(t)}},default_value:q()}),centered:A({default_value:!1}),skip_layout:!1,prepareLayout:function(t){this.draw(t)},getLayout:function(t){this.prepareLayout(t);var e=this.margins();return{position:this.position(),width:this.width()+e.left+e.right,height:this.height()+e.top+e.bottom}},setLayout:function(t,e,n){var i=this.margins();if(this.centered()){var r=B(this.base);e+="height"in n?(n.height-r.height)/2:i.top,t+="width"in n?(n.width-r.width)/2:i.left}else t+=i.left,e+=i.top;this.base.attr("transform",S(t,e)),this.height(n&&n.height),this.width(n&&n.width)}},{properties:{position:{type:ft.string,validate:function(t){return i(["top","right","bottom","left"],t)}},width:{type:ft.number,getDefault:function(t,e,n){var i=n.width();return g(i)?B(t).width:i}},height:{type:ft.number,getDefault:function(t,e,n){var i=n.height();return g(i)?B(t).height:i}}},z_index:50,layer_type:"component"}),yt=gt.extend({initialize:function(t){gt.prototype.initialize.call(this,t),this.base.attr("style",this.style())},skip_layout:!0,x:A({default_value:0}),y:A({default_value:0}),hidden:A({default_value:!0}),style:A({default_value:function(){var t=S(this.x()+"px",this.y()+"px"),e={position:"absolute",top:0,left:0,"-webkit-transform":t,"-ms-transform":t,transform:t};return this.hidden()&&(e.display="none"),T(e)}}),position:function(t,e){if(arguments.length>1)t={x:t,y:e};else if("container"in t)t=this.getAbsolutePosition(t.container);else if("chart"in t)if(this.container){var n=this.container.chartPosition();t=this.getAbsolutePosition({x:t.chart.x+n.left,y:t.chart.y+n.top})}else t=this.getAbsolutePosition(t.chart);this.x(t.x).y(t.y),this.base.attr("style",this.style())},show:function(){this.hidden(!1),this.base.attr("style",this.style())},hide:function(){this.hidden(!0),this.base.attr("style",this.style())},getAbsolutePosition:function(t){var e=this.container&&this.container.container;if(e&&this.container.responsive()){var n=B(e),i=this.container.width(),r=this.container.height(),o=n.width/i,a=n.height/r;return{x:o*t.x,y:a*t.y}}return t}},{layer_type:"overlay"}),vt={top:10,right:10,bottom:10,left:10},mt=et.extend({initialize:function(t){et.prototype.initialize.call(this,t),"svg"!=this.base.node().tagName?(this.container=this.base.append("div").attr("class","chart-compose-container"),this.base=this.container.append("svg").attr("xlmns","http://www.w3.org/2000/svg").attr("version","1.1").attr("class","chart-compose")):this.base.classed("chart-compose",!0),this.attachHoverListeners()},transform:function(t){return this.rawData(t),et.prototype.transform.call(this,t)},options:A({default_value:function(){return function(){}},set:function(t){return ct(t)?void 0:{override:function(){return t}}}}),rawData:A(),margins:A({default_value:vt,set:function(t){return{override:q(t,vt)}}}),chartPosition:A({default_value:{top:0,right:0,bottom:0,left:0},set:function(t){return{override:a({},t,{top:0,right:0,bottom:0,left:0})}},get:function(t){return t.width=this._width()-t.right-t.left,t.height=this._height()-t.bottom-t.top,t}}),width:A({default_value:null}),height:A({default_value:null}),_width:function(){var t=this.width();return null!=t?t:et.prototype.width.call(this)},_height:function(){var t=this.height();return null!=t?t:et.prototype.height.call(this)},responsive:A({default_value:!0}),viewBox:A({default_value:function(){return this.responsive()&&this.width()&&this.height()?"0 0 "+this.width()+" "+this.height():null}}),preserveAspectRatio:A({default_value:function(){return this.responsive()?"xMidYMid meet":null}}),containerStyle:A({default_value:function(){if(this.responsive()){var t=1;return this.width()&&this.height()&&(t=this.height()/this.width()),T({width:"100%",height:0,"padding-top":100*t+"%",position:"relative"})}return T({position:"relative"})}}),baseStyle:A({default_value:function(){return this.responsive()&&this.container?T({position:"absolute",top:0,left:0}):null}}),charts:A({set:function(t,e){return{override:this._attachItems(t,e,this)}},default_value:[]}),components:A({set:function(t,e){return{override:this._attachItems(t,e,this)}},default_value:[]}),delay:A(),duration:A(),ease:A(),draw:function(e){var n=this._prepareConfig(this.options(),e);n||(n={data:{_charts:{},_components:{}},layout:[],charts:[],components:[]}),this.charts(n.charts),this.components(n.components),e={original:e,config:n.data},this.data(e),this._setDimensions(),this.layout(n.layout,e),t.chart().prototype.draw.call(this,e)},redraw:function(){this.rawData()&&this.draw(this.rawData().original)},demux:function(t,e){return e&&e.config&&e.original?at(this.charts(),t)&&e.config._charts[t]?e.config._charts[t]:at(this.components(),t)&&e.config._components[t]?e.config._components[t]:e.original:e},createChartLayer:function(t){return this.base.append("g").attr("class","chart-layer").attr("data-zIndex",t&&t.z_index)},createComponentLayer:function(t){return this.base.append("g").attr("class","chart-component-layer").attr("data-zIndex",t&&t.z_index)},createOverlayLayer:function(){if(!this.container)throw new Error("Cannot create overlay layer if original selection \"d3.select(...).chart('Compose')\" is an svg. Use a div instead for responsive and overlay support.");return this.container.append("div").attr("class","chart-overlay-layer")},layout:function(t,e){this._positionChartLayers(),t=this._extractLayout(e);var n=s({},this.margins());y(t,function(t,e){t.forEach(function(t){n[e]+=t.offset||0})}),this.chartPosition(n),this.positionLayers(t)},attachHoverListeners:function(){function e(){var e=t.mouse(document.documentElement);return e[0]>=c.left&&e[0]<=c.right&&e[1]>=c.top&&e[1]<=c.bottom}function n(){l("mouseenter",o(t.mouse(p)))}function i(){l("mousemove",o(t.mouse(p)))}function r(){l("mouseleave")}function o(t){var e=t[0],n=t[1],i=e-u.left,r=n-u.top;return e>u.left+u.width?i=u.width:e<u.left&&(i=0),n>u.top+u.height?r=u.height:n<u.top&&(r=0),{container:{x:e,y:n},chart:{x:i,y:r}}}function a(){var t="scrollY"in window?window.scrollY:document.documentElement.scrollTop;return c=s({},p.getBoundingClientRect()),c.top+=t,c.bottom+=t,c}var u,c,h,l=this.trigger.bind(this),f=this.chartPosition.bind(this),d=this.container||this.base,p=this.base.node();d.on("mouseenter",function(){u=f(),c=a(),h=e(c),h&&n()}),d.on("mousemove",function(){u&&c||(u=f(),c=a());var t=e(c);h&&t?i():h?r():t&&n(),h=t}),d.on("mouseleave",function(){h&&(h=!1,r())})},attach:function(t,e){e.id=t,e.base.attr("data-id",t),e.container=this,et.prototype.attach.call(this,t,e),e&&ct(e.trigger)&&e.trigger("attach")},detach:function(t,e){e.base.remove(),delete this._attached[t],e&&ct(e.trigger)&&e.trigger("detach")},positionLayers:function(t){this._positionChartLayers(),this._positionComponents(t),this._positionByZIndex()},_setDimensions:function(){this.container&&this.container.attr("style",this.containerStyle()),this.base.attr("viewBox",this.viewBox()).attr("preserveAspectRatio",this.preserveAspectRatio()).attr("style",this.baseStyle()).attr("width",this.responsive()?null:this.width()).attr("height",this.responsive()?null:this.height())},_attachItems:function(e,n,i){e=e||[],n=n||[];var r=o(m(n,"id"),m(e,"id"));return r.forEach(function(t){i.detach(t,at(n,t))}),e.map(function(e){var r=e.id,o=at(n,r);if(e instanceof t.chart())return o&&i.detach(r,o),i.attach(r,e),e;var a=o&&!(o instanceof yt)&&o.position&&e.position&&o.position()!=e.position;if(o&&(o.type!=e.type||a)&&(i.detach(r,o),o=void 0),o)o.options(e);else{var s=t.chart(e.type);if(!s)throw new Error("No registered d3.chart found for "+e.type);var u={z_index:s.z_index||0},c={chart:"createChartLayer",component:"createComponentLayer",overlay:"createOverlayLayer"}[s.layer_type];if(!c)throw new Error('Unrecognized layer type "'+s.layer_type+'" for '+e.type);var h=i[c](u);o=new s(h,e),o.type=e.type,i.attach(r,o)}return o})},_prepareConfig:function(t,e){return nt(t(e))},_positionChartLayers:function(){var t=this.chartPosition();this.base.selectAll(".chart-layer").attr("transform",S(t.left,t.top)).attr("width",t.width).attr("height",t.height)},_positionComponents:function(t){var e=this.chartPosition(),n=this._width(),i=this._height();rt(t,e,n,i)},_positionByZIndex:function(){function e(e){return{layer:e,zIndex:parseInt(t.select(e).attr("data-zIndex"))||0}}function n(t,e){return t.zIndex<e.zIndex?-1:t.zIndex>e.zIndex?1:0}function i(t){return t.layer}var r=this.base.selectAll(".chart-layer, .chart-component-layer")[0];r=r.map(e).sort(n).map(i),r.forEach(function(t){t&&t.parentNode&&t.parentNode.appendChild&&t.parentNode.appendChild(t)})},_extractLayout:function(t){return it(this.components(),t,this.demux.bind(this))}}),wt=et.extend({},{z_index:100,layer_type:"chart"});ht.extend(t.chart(),{Base:et,Chart:wt,Component:gt,Overlay:yt,Compose:mt});var _t=t.compose={VERSION:"0.15.15",utils:ht,helpers:dt,Base:et,Chart:wt,Component:gt,Overlay:yt,Compose:mt,layered:ot};return _t});
//# sourceMappingURL=d3.compose.min.js.map
